Introduction

 Top Next

RadioBOSS is a professional radio automation software for terrestrial and Internet radio stations, DJ discos, clubs, bars, restaurants, casinos, health clubs and other venues. Once the playlist is set and settings are configured, the program allows broadcasting 24 hours a day in a fully unattended mode. RadioBOSS offers many tools and options to produce a professional music program, including playlist generator, playback scheduler, advertisement scheduler, voiceovers, teasers, internet radio broadcasting, music library and many other features. All features are delivered in an intuitive, user-friendly interface that allows you to learn the software quickly and use it with remarkable ease.

This help file is for RadioBOSS 5.7

Copyright 2003-2018 DJSoft.Net. All rights reserved.

RadioBOSS is the property of DJSoft.Net and is protected by international copyright law.


How to register

 Top Previous Next

RadioBOSS is distributed on a try-before-you-buy basis. You can download a trial version of the application and use it for free during the trial period. To continue using RadioBOSS after the trial is over, you must buy a registration key.

To register RadioBOSS, follow the steps below:

1. Go to www.djsoft.net and click the Buy button.

RadioBOSS is available in three editions. For details, please see the comparison table: http://www.djsoft.net/enu/radioboss_editions.htm (You can upgrade your edition any time at no additional cost.)

Once your order is submitted and processed, a message with the registration data will be sent to your email address specified during the registration.

2. Open RadioBOSS, and select Help -> Enter Registration Code... in the top menu bar.

3. A dialog prompting you to enter a registration key will open:

4. Enter your registration key. It is advisable to copy and paste the code from the email message.

5. Click OK. Now your copy of the application is registered and all limitations are removed.

If you have upgraded your edition (e.g. from Express to Standard), repeat steps 1 to 5 for the changes to take effect.

More information:

RadioBOSS. Quick start


Quick start

RadioBOSS lets you get started in just a few easy steps.

1. Run RadioBOSS.

2. Set up Music Library. Music Library is used for quick-search and automatic playlist generation.

If you are not going to use these features, you can skip this step. (You can use RadioBOSS without using Music Library.)

In the top menu bar, select Tools -> Music Library.

The Music Library window will open:

To add a folder containing music tracks, click Add -> Add folder. Add your music using the "Add..." commands.

Once added, the audio files will be listed in the music library along with their track information (artist, title, album, year, genre, etc.)

Click File -> Save to save the library.

Close the music library.

3. Adding music to the playlist. You can use the Playlist menu or file explorer shown on the left (using drag-and-drop).

Available menu commands:

RadioBOSS supports multiple playlists, and you can add as many playlists as you need by clicking the “+” button (shown on the right). The button also lets you add a Cart wall or Web browser.

4. Assigning quick-access jingles. Select Jingles > Assign... to add jingles, so that you can play them by pressing the keys 1–9 on the keyboard.

5. Set up crossfading. You can skip this step and use the default settings.

In the menu, click Settings -> Crossfades. You can find more information here: Crossfading.

6. If you have multiple sound cards installed or want to configure advanced playback settings, go to the Settings window from the menu: Settings -> Options...

In the playback section, you can set up output sound cards and various output settings.

You can also configure pre-listening of a track. This way, you will be able to listen to that track without broadcasting it, on a separate audio device.

Read more here: playback parameters.

7. Setting up a broadcast. If you are running an Internet radio station, set up the broadcasting encoders. RadioBOSS supports ShoutCast, IceCast, and compatible servers. It also supports Windows Media Server and has a built-in broadcasting server, so that users can connect directly to RadioBOSS. No extra plugins are required. The Broadcasting Internet Radio section describes in detail how to set up broadcasting encoders.

8. Set up Hot Keys. Most hot keys are on by default: you can disable or reassign hot keys to suit your needs.

9. To start the playback, double-click any file in the playlist.

More information:

Broadcasting encoders

Creating a music library

Generating a playlist


Setting up PFL

Pre-listening is available in the playlist (right-click a track) and the music database, as well as in Track Tool, the crossfade editor, and the voice track recorder.

To configure pre-listening, open the application’s settings, switch to the Playback section, and select a device for pre-listening tracks for the Pre-listening (PFL) card.


Broadcasting Internet radio

RadioBOSS lets you set up your own Internet radio station. The program can send audio stream to a Shoutcast, Icecast or Windows Media Server to broadcast it out to listeners. The software reads the audio data from a playlist and encodes it on the fly. It's possible to set up any number of broadcasting encoders.

To broadcast an Internet radio, follow the steps below:

1. In the top menu bar, select Settings -> Options...

2. In the Settings window, select Broadcast.

Fill in your station info: station name, description, URL, genre and other parameters. This is the global station information and is used for all encoders. Any encoder can override this information if needed.

3. To add a new encoder, click the “+” button.

4. The encoder window will open.

You can use the Configuration Wizard or enter all connection details manually.

Server address and password are provided by your stream hosting provider (unless you are using your own server). You can usually find this information on the hosting control panel. If you don't have a hosting radio, you can get it on the website: http://www.radioboss.fm/

Sample rate, Encoder type, Bitrate, and Channels set the broadcasting format. Please consult with your stream hosting provider about which format to use. If you are not sure, leave the default one: 44100 MP3 128kbps stereo.

The Station Info tab allows you to override the global station information for the encoder.

The Metadata tab allows you to specify the parameters of track name submission to the server.

The Statistics tab allows you to change the method of obtaining statistics (number of listeners) for the server; configuration details.

Once you have entered all the settings, click OK. The encoder will be added to the encoders list.

5. In the Settings window, check the check boxes for all encoders that you want to use. Remember to turn on the “Broadcasting enabled” option on the top.

6. Click OK.

On successful connection, the report in the bottom-left corner will show the following message: Connected to server! (output N). It means that listeners can connect to the streaming server and listen to your radio.

If the broadcast is sent to a port different from the listening port, you will need to configure Statistic Relays to obtain information about the number of listeners.

If the setup is incorrect, RadioBOSS will show an error message in the report. The error message will describe the problem and show the number of the encoder that failed to start (e.g. “output 1”).

If this is the case, open the Settings window, select that encoder in the list, and click the Edit button to fix the configuration.

You can view audience statistics in the Statistics window. To open it, click “Tools” –> “Broadcasting statistics...” or click the “Statistics” button on the toolbar.

Most common error messages:

Cannot start broadcasting (output N): Error 2100

The specified password is incorrect. Please check the password.

Cannot start broadcasting (output N): Error 2

The server is not available or the specified server address is incorrect. The problem is probably caused by entering an incorrect address or port. Unless you are using Windows Media Services, make sure that there is no “http://” or “ftp://” in the server address.

Other reasons: Some anti-virus software or a firewall is blocking the connection, or no network connection is present.

Cannot start broadcasting (output N): Error -1

The most common reason for this error: Someone is already connected to the server.

Once the broadcasting properties are properly configured, RadioBOSS will broadcast whatever is currently playing(*) via the Internet radio station in real time.

(*) The Source drop down box (located above the encoders list) selects the sound source for broadcasting encoders:

Audio mix | Whatever is playing in the playlist, will be encoded (this is the default setting).
Input 1 Input 2 | Input 1 or Input 2 will be used as a source. This setting is useful if you have a mixer board and want to broadcast its output. In this case, the mixer board should be connected to the corresponding sound card input. You can configure the inputs via the Settings: Input.

More information:

Creating a music library

Generating a playlist

Broadcast settings


Statistic relays

The function allows to customize the method of obtaining statistics (number of connected listeners).

By default, statistics are taken from the broadcast server. This doesn’t require any additional setup.

You can also obtain statistics from another server. This can be useful, when broadcasting is maintained by one server, while listeners are connected to the other one: such situation is typical of distributed servers, or systems that support auto DJ, or multiple DJs broadcast from different locations.

To retrieve statistics without broadcasting to the server, on the Connection tab leave the Server field empty.

To obtain statistics from another server, click Settings -> Options in the menu -> choose Broadcast -> Double click the right connection to open it, and choose Statistics tab.

Select the Specify the server to get the statistics from.

Choose a server type – Shoutcast or Icecast; this is the type of server, from which statistics are obtained.

In the Server field, enter server address (without http://), e.g.: example.com:9000.

Password is a server password, which is either admin password or broadcasting password, depending on the server. To retrieve global stats info from Icecast server, set the Password field to admin:PASSWORD (where PASSWORD is the admin password for Icecast server) and leave mount point field empty.

Mount/Stream ID is the mount name (which is necessary for Icecast) or stream ID for Shoutcast (if ID is not specified, total number of listeners at the server is returned).

If everything has been set up correctly, the statistics window shows number of listeners. Otherwise, an error message is returned in the table instead of number of listeners.


Scheduling playback

RadioBOSS lets you schedule tracks for automatic playback at predefined times. You can use the built-in scheduler to insert announcements and advertisements into the playback. The scheduler can play single files or playlists, and start Internet streams or line input.

You can also schedule commands for automatic execution (e.g. take a random playlist or track from a folder, change the volume, generate a playlist, and more). Most of the commands can be easily scheduled using the wizard.

To create a scheduler event, follow these steps:

1. In the Control Panel, select the Scheduler tab.

The scheduler window will open, with a list of all events scheduled:

2. Click the Add... button.

The Event dialog will open, where you can configure the scheduling parameters.

3. Click the Open button.

The Open dialog will open. Here you can browse through the folders and select a file (track or playlist) to play.

You can also use the Wizard, which will help you create an action:

4. Set the date and time.

You can select a specific day and time to play a file only once, or schedule a repeated playback at a specific time on particular days. The scheduler also provides additional options to fine-tune the playback according to your preferences.

5. Click OK to save the scheduled task.

The task will be added to the task list in the scheduler window.

If the Manual option is active, the tasks will be turned on, but will only start manually (using the Run now button). The makelibrary, createbackup, and download commands will still launch.

Related topics:

Scheduler

Event options

Scheduler commands


Event

Event window

Playlist/track filename or command: A playlist, music track, or URL that will be launched on the schedule.

This field can contain one of the commands. To easily enter commands or advanced playback actions, click the Wizard [image] button.

You can assign several actions to a task by clicking the [image] button.

A substitution macro can be used in the file name:

?yyyy | current year (4 digits) | ?dd | day (2 digits)
?yy | current year (2 digits) | ?hh | hour (2 digits)
?mm | month (2 digits) | ?nn | minute (2 digits)
?wd or ?dw | current day of week (2 digits): 01 to 07 | ?noeval | if specified, evaluate macro on playback start; if not specified, evaluate on event launch

You can use this option to get a different playlist every day with only one scheduler entry.

Example: The command is C:\Playlists\?yyyy-?mm-?dd.m3u and the current date is February 2, 2016. Using the above parameter will open the playlist with the filename C:\Playlists\2016-02-02.m3u; the next day, it will open C:\Playlists\2016-02-03.m3u and so on.

The date and time can be adjusted using modifiers, the modifier syntax is: ?(+|-)N(y|m|d|h|n)

The modifier is added to the end of the command.

Example: The command is C:\Playlists\?yyyy-?mm-?dd.m3u?+2d (modifier marked in red, it adds two days to the current date) and the current date is February 2, 2016. Using the above parameter will open the playlist with the filename C:\Playlists\2012-02-04.m3u; the next day, it will open C:\Playlists\2012-02-05.m3u and so on.

Modifiers can change: y - year, m - month, d - day, h - hour, n - minute.

Task name: any string that helps you to identify the event in the list (can be left blank).

Group: a group to which an event belongs. This can be left blank - in this case, an event will not belong to a group, or you can enter a group name (or click the down arrow if you would like to select from the existing groups). Groups help in keeping the list of events organized. You can change the color of a group by adding a [#color] tag after its name. For instance: Ads[#red] - it will be rendered in red in the list of tasks. The "color" option can assume the following values: red, green, blue, gray, yellow and other color names, as well as color codes in hexadecimal RGB format [#AABBCC].

Colors: event coloring in the list. Click a box to select colors.

The Delete button removes a task from the list.

The Save as New button saves an event as a copy (instead of editing it).

The Set Default button creates standard settings: these settings will be used when adding new events.

Time and Day

In this section, you can specify the time and day of week for launching the track or playlist.

Date and Time fields: Specify the launch date and time.

Hours: Specify hours, minutes, and seconds for launching an event. To set up the parameters, click the “...” button.

If the Date check box is checked and Week days is unchecked, the track will be launched only on the date specified. If both Date and Week days check boxes are checked, the date will determine the start date: The event will be launched on the selected days of week on and after the specified date. Next to the date field is a button that, when pressed, will allow you to select the "Every year" option, in which case the assignment will launch on the selected day every year.

Week days: Specify the days of week for launching an event. This option lets you make a schedule for the whole week.

Weeks: sets the number of the day of the week of the month when the assignment should come out. For example, if "2nd" and "Last" are activated and Sunday is set under Week days, the assignment will come out on the second and last Sundays of the month.

An event can also be started by a DTMF signal. For more information, please refer to this topic.

Repeat

Repeat every [X] minutes no more than [Y] times: The task will be launched the specified number of times at equal time intervals. For example, if the option is set to repeat every 15 minutes no more than 10 times, the task will be executed once at the scheduled time (e.g. at 01:05), and then 9 times at 15-minute intervals (at 01:20, 01:35, 01:50, etc.). A warning icon will appear if repeats exceed 24 hours (which can then lead to unneeded event launches).

Expiration

Allows you to turn off or delete a task at the time indicated.

Waiting Options

Maximum time to wait in the queue: Specify for how much time the event can stay in the playback queue. If the playback is not started during the specified time, an action will be performed:

·Delete: the tracks will be removed from the queue.

·Play: event will launch and interrupt the currently playing track

This option also can be used together with the Overlay playback feature, in this case overlay playback will be delayed to start on current track' end. If by the end of the current track more time is left than the waiting time set, and the action at the end of the waiting period is Start, then the waiting period will not be completed and the event will be started immediately.

Options

See the Event Options page.

More information:

Scheduler commands

Event Options


Event Options

Options

Enabled event

To temporarily disable the event, uncheck this box.

Do not action this event when the playlist is stopped

If the playlist is not playing, the event will not be launched.

Send task name instead of track titles to server

A task name, not individual track titles of the event, will be sent to the server.

Run scheduled launch without waiting for current track to finish

If this option is turned on, the track/playlist will be played at the time specified in the “Time” field. Otherwise, it will be queued and played after the current track is finished.

Insert a sweeper before starting an event

Insert a sweeper before starting an event. More about sweepers.

If there are tracks from the schedule in the playlist, enqueue

If the playlist contains tracks scheduled for playback by another event (tracks with the “clock” icon), insert new entries after them (after track #14 in the example above). Otherwise, the tracks will be inserted after the track being currently played (after track #9 in the example).

Remove previous schedule from the playlist

When the task is started, all the tracks scheduled earlier will be removed from the playlist. In the example, tracks #6 to #14 will be removed from the playlist.

Clear playlist

The current playlist contents will be removed.

Shuffle the playlist before inserting

If the “Playlist/track filename or command" field contains a playlist name, the playlist will be shuffled before inserting.

Insert as regular playlist tracks

Usually, scheduled tracks are automatically removed from the playlist after playback. Checking this option will prevent this from happening, so the tracks will be kept in the playlist.

This option has some usable side effects:

·Tracks won’t be marked with the “clock” icon. Instead, they will be marked as regular playlist tracks.

·The queuing options won’t consider those tracks as scheduler tracks. The options are as follows:

* If there are tracks from the schedule in the playlist, enqueue them

* Remove the previous schedule from the playlist

Overlay playback

If this option is turned on, the track will be played on its own player, along with the playlist. You can decrease the volume of the background music using the music level slider (“Set the playlist level to”) below.

In the example, the track “Don't Stop” (see screenshot below) is overlaid on the background music.

Pause the playlist while event is playing

If this option is turned on, the playlist will be automatically unpaused when playback is finished. It is useful for announcements when you don’t want to interrupt the currently playing track.

Example: A playlist with the scheduled tracks and “Overlay playback” event playing


Sweepers

Sweepers are used to avoid interrupting a song playing before an event starts. For instance, a song starts to play but after 20 seconds there's a scheduled event that is about to start. The event will interrupt the song. To avoid this situation, RadioBOSS can insert a sweeper, in this case, a 20-second sweeper will play instead of the song and then the event will start.

To assign a sweeper: in the event window, Click the "Sweepers..." button and select a folder with sweepers. The more sweepers with different durations the folder contains, the better.

There are repeat protection rules for sweepers, to open the repeat protection settings, click the "Repeat protection" button in the sweepers window, or use the Playlist -> Extra -> Sweeper repeat protection menu command. Repeat protection settings are common for all sweepers.

Sweeper selection quality can be controlled in the settings in the Scheduler section.


Scheduler commands

List of available scheduler commands. With some exceptions, the same commands can be called from the Cart Wall or used directly in the playlist (menu Playlist -> Add command).

Note: The event window has a wizard that can enter most of the commands for you automatically. So most of the time, there is no need to enter commands manually.

play X

Play track number X in the playlist

stop

Stop playback

next

Proceed to the next track

prev

Return to the previous track

run filename parameters

Launch any program or batch (.bat) file

Example:

run C:\dosomething.bat

run C:\AnyProgram.exe -switch1 -switch2

generate preset_name

generate [pro] preset_name

Create a playlist from the playlist template called preset_name (created earlier in the playlist generator). For example, there is a template named “ROCK 2 Hours” (without quotes). To generate a playlist using that template, use the following command: generate Rock 2 hours

The command to generate a playlist using Playlist Generator Pro looks like this:

generate [pro] preset_name

setvol x

Set the volume to X (0 to 100). For example, setvol 70. Moreover, you can specify the duration (in milliseconds) for the volume to reach the desired level (syntax: setvol X time_ms). For example, setvol 70 500 will set the volume level to 70 over a period of 0.5 second.

load filename

Load the filename file. The file can contain a profile (.prf), playlist (.m3u), or scheduler task list (.sdl). If the full pathname is not specified, the application will look for a profile in the \Profile folder, for a playlist in the \Playlist folder, and for a scheduler list in the \Presets\Schedule folder. A playlist will be loaded into the Main list.

load text ZN:Name; filename|text

Load the text to the tab with a notebook.

ZN: - zone number (Z2, Z3)

Name - tab name

filename|text - path to the file from which the text should be loaded or the text itself

Example: load text "this is test" to NOTE0 tab in zone 2

load text Z2:NOTE0; this is test

getrandomplaylist Path

Load a random playlist from the folder specified in Path.

Example:

getrandomplaylist d:\music\playlists

clearplaylist

Clear the playlist

reboot

Restart the system

poweroff

Shut down the system and turn off the power

connect

disconnect

connect — connect to the broadcasting server. If no parameters are specified, the application will connect to all servers specified in the settings. You can use a value from 1 to N as a parameter for connecting to a specific server.

disconnect — disconnect from the server. The parameters are the same as for connect.

scheduler on

scheduler off

Temporarily turns on/off the scheduler. These commands are useful for live shows.

scheduler off — suspend the scheduler. No events will be started except for ones with the “scheduler on” command.

scheduler on — turn the scheduler on from the suspended state. This command works only if the scheduler was turned off using the “scheduler off” command. It doesn’t work if the scheduler was turned off manually by unchecking the “On” check box.

scheduler on also turns off the Manual option.

streamarchive on|off

streamarchive FILENAME

Turn on/off the Stream Archive feature

(menu: Tools -> Stream Archive)

streamarchive on - turn on Stream Archive.

Start recording and save to the specified file name:

streamarchive D:\myshow.mp3

makelibrary LibraryFile Dir1 Dir2 ...

Create or update a music library file. Command parameters are separated with the | character.

The first parameter sets the path for saving the music library file. The second and following parameters are the folders to scan (including subfolders). Instead of path you can specify playlist or music library file.

Example 1: Create a music library file named my.xml in the default Music Library folder, and add tracks from the “C:\Music” folder to that file.

makelibrary my.xml C:\Music

Example 2: Same as Example 1, but adds tracks from the “C:\Music” and “D:\MoreMusic” folders:

makelibrary my.xml C:\Music D:\MoreMusic

Example 3: Using the full path to the .xml file:

makelibrary "C:\path to save\my.xml" C:\Music

Example 4: Using playlist as source

makelibrary my.xml C:\playlist.m3u8

Attention! If the name of a file or playlist contains spaces, enclose it in quotation marks.

Example:

makelibrary "Muzica Italiana.xml" "D:\Muzic\Music Italia"

adsupdate

Update advertisement events and playlists. Executing this command will produce the same result as clicking the “Create playlists and event” button in Ads Scheduler.

createbackup FileName

Create a backup of application settings and events, saving it to the specified file.

Example:

createbackup C:\RB_backup.7z

createbackup C:\RB_Backup_?yyyy-?mm-?dd.7z

In the second example, a substitution macro is used.

folder_path

folder_path/

Add tracks from a folder to the playlist. If path ends with "/" then tracks will be added in random order, otherwise tracks will be added in alphabetic order

Example:

D:\Music or D:\Music\ - add tracks from D:\Music folder in an alphabetic order

D:\Music/ - add tracks from D:\Music folder in random order

download [podcast] URL FILENAME

Downloads a file from the URL and saves it as FILENAME

To trigger a specific URL, without saving any file, omit the FILENAME parameter (can be used to send notifications).

If a podcast keyword is specified, the URL has to specify the podcast address and RadioBOSS will select the newest podcast from the feed and download it.

Example:

download http://www.example.com/file1.exe D:\savedfile.ext

Example: download podcast (will download the newest podcast from the feed)

download podcast http://www.example.com/podcast.xml D:\podcast.mp3

Example: download file specifying username and password for authorization

download http://USERNAME:PASSWORD@www.example.com/file1.exe D:\savedfile.ext

Example: call script at specified URL but do not save anything

download http://www.example.com/thescript.php

fadeout time_ms

Fade out the playlist playback in time_ms milliseconds. Example: fadeout 500

set com(1-9) (dtr|txd)

clr com(1-9) (dtr|txd)

Set/clear the value at the com-port out; out can be either dtr (pin 4) or txd (pin 3). For example:

set com1 dtr — set high dtr com1 level;

clr com2 txd — clear (set low level) at txd com2 out. Low com-port level corresponds to –12V and high level to +12V.

send COMX text

Send string text to COM-port COMX.

COMX - COM port name, e.g. COM1

text - text to send

set func_name [on|off]

clr func_name

Enable/disable the func_name mode.

set func_name on|off - enable (on) or disable (off) func_name

set func_name - enable clr func_name - disable

Example (using on/off modifier): set shuffle on - enable shuffle mode; set shuffle off - disable shuffle

Example (using set and clr commands): set shuffle — enable shuffle (random playback); clr repeat_track — disable track repetition.

func_name can be one of the following:

shuffle - enable shuffle (random playback)

repeat_track - enable track repetition

repeat_list - enable list repetition

break - stop after current track

autoamp - automatic volume control (AutoAmp)

http_request - HTTP request

manual - scheduler Manual mode

autointro - enable or disable Auto Intro

The set command can also be used to set a variable value %showname: set %showname=TEXT

The variable value %showname can be used in the HTTP request.

setencodersource SRC

Change the sound source for broadcasting encoders.

Possible SRC values:

0 - Audio mix

1 - Input 1

2 - Input 2

For more information about encoder sources please refer to this page: Broadcasting Internet radio

Example:

setencodersource 0

silencedetector on

silencedetector off

Turn on and turn off the silence detector

silencedetector on – enable

silencedetector off – disable

This command can also be used for changing these parameters:

silencedetector timeout N - change silence detector timeout (in seconds)

silencedetector playlist FILENAME - change the name of the playlist opened upon silence detection.

getfile C:\path_to_folder [/random|/newest|/oldest] /delete

This command adds one file from the specified folder to the playlist. It can select the oldest or newest file (by the adding date), or a random file. The command selects music files and playlist files.

Syntax:

getfile C:\path_to_folder [/random|/newest|/oldest] [/delete]

Example: Play one file from the ads folder, and then delete that file from disk:

getfile C:\announcements /newest /delete

If you prefer to keep the file after playback, omit the delete parameter.

playrequestedsong

playrequestedsong N

To automatically play the requested songs, use the playrequestedsong command.

Optionally, you can specify a minimum time interval (in minutes) to delay song request playback: some music licensing authorities require a delay before the requested song can be played. Example: playrequestedsong 30 - delay requested song playback for at least 30 minutes. The scheduled event with the playrequestedsong command should be set up to repeat, e.g. every 10 minutes during the time period when you want to accept song requests.

See also: Remote Control API song request actions: songrequest, songrequestclear

weather city, country

Update weather data: Automatic weather announcement

Example: weather New York, US

setdtmfsource 1|2|URL

Set DTMF detector source.

1 - Input 1

2 - Input 2

URL - specify network stream URL

Example: setdtmfsource http://example.com:8000

stopoverlays

Stops all playing "overlay playback" events

enablegroup GROUP

disablegroup GROUP

Enable (enablegroup) or disable (disablegroup) a group of events.

GROUP - event group name to enable/disable

enablevo

disablevo

Enable or disable Voiceovers.

autointro [disable|enable] rule1, rule2, ...

Enable or disable Auto Intro rules. Rules names are not case sensitive.

Example: disable rules Morning and Day

autointro disable Morning, Day

Example: enable Artist rule

autointro enable Artist


Starting events by DTMF signal

Scheduled events can also be started by a DTMF signal. It is useful when you need to rebroadcast another station and insert regional advertisement blocks: DTMF can be used for synchronization.

DTMF configuration

First, select a source where DTMF will be checked. In the Settings window, select DTMF tab.

Select an input (Input1/Input 2) or URL. If you selected “URL,” enter a network stream URL; RadioBOSS will connect to that URL and look for DTMF tones in the stream.

RadioBOSS will automatically activate or deactivate the DTMF detector when necessary.

Setting up events

In the event properties window, check the DTMF check box and enter a DTMF sequence (e.g. “764C”). When this sequence is detected, the event will start.

RadioBOSS starts to look for a DTMF tone 5 minutes before the event start time and ends 5 minutes after the event start time. The time frame can be adjusted in the DTMF tab in the Settings. For example, if the event is supposed to start at 01:00:00, DTMF will be checked from 00:55:00 to 01:05:00. If no DTMF is detected within that time frame, the event will be launched at the end of the DTMF checking window - in the example, at 01:05:00. To avoid this, check the DTMF Only checkbox: in this case, the events will be started by DTMF only. If no DTMF tone is detected, the scheduled event will not start.

To end an event by a DTMF signal, check the “End DTMF” check box and enter a DTMF sequence.

Multiple DTMF signals can be specified for Start and End DTMF, e.g. “764C, 1D56” - in this case the event will be started by either “764C” or “1D56” tone.


Generating a playlist

Playlist Generator Pro

Playlist Generator Pro can help you create playlists with a given structure (rotation) that will determine which tracks, from which source(s), and how many ones will show up in the playlist. In addition, it can prevent repeating of the tracks, use filters, and priority rules. Playlists can be generated manually or automatically by schedule.

You can launch Playlist Generator Pro from the menu: Playlist -> Playlist Generator Pro.

General information and an example of use

A playlist is generated according to a given structure (rotation), which consists of categories.

A category consists of tracks that will be used in the playlist.

Example:

Say, you want to create a eight-hour-long playlist with the following rotation:

§Top100

§Station ID

§Music

§Station ID

§Music

§Station ID

In the example, it plays one Top100 track, then two Music tracks with Station ID after every song, and then it repeats. There are only three different types of tracks in this rotation. So three categories of tracks will be created: Station ID, Top100, and Music.

To create a category, click the “+” button below the list of categories. A window with category options will open:

• On the General tab, enter a Category name (for example, “Music”; this name will be used to display the category in the list), duration (e.g. one track).

• On the Tracks tab, enter the source of tracks for the Category. It may be a folder, playlist, music library, or track — whatever better suits your needs. RadioBOSS will select the appropriate number of tracks from that source.

• For the Station ID category, turn on the Ignore all “do not repeat” rules option on the No-repeat tab. It is recommended to check this check box for jingles, sweepers, station IDs and other non-music tracks.

• Click OK.

• Create other categories in a similar fashion.

Once all categories are created, define the rotation. To do that, select a category in the list and click the right-arrow button (you can also drag-and-drop a category). The category will be added to the Rotation window. To change the order of categories in the list, use the up-arrow and down-arrow buttons. To delete a category from the list, use the “–” button. To move categories within the list, drag-and-drop them using a mouse.

In the example above, the following rotation will be created:

* Top100

* Station ID

* Music

* Station ID

* Music

* Station ID

In the example, we needed a eight-hour-long playlist, so we checked the Total playlist length check box and set the corresponding parameter at 8 hours 0 minutes. (If the check box were unchecked, the generator would go through the Playlist Structure only once, and then the playlist generation would be finished.)

When the Total playlist length check box is checked (as in the example), the generator will repeat the pattern (cycling through the Playlist Structure) until the desired duration is reached.

In the end, you should see something like this:

Est. duration - shows the time of one rotation cycle.

Total playlist length - shows the total time the playlist is set to play.

On the Settings tab, you can set various no-repeat rules to improve the resulting playlist.

To save the Preset for future use, click the Save button in the top of the window. To rename a preset, right-click its name. You can use the saved Preset, for example, for automatically scheduled generation of playlists.

To create a playlist, click the Generate button. The Log tab will open, where you can see the generation progress, errors, and the resulting length.

To load the playlist into RadioBOSS right away, click the Export to player button.

The Save playlist button saves the created playlist to a file.

To create several playlists at once, click the down arrow next to the Generate button and select Generate multiple playlists... More about creating several playlists.

See also

Command line interface

Playlist Generator Pro Settings

Categories


Categories

To create a category, click the “+” button under the list of categories:

The category window will open.

Category Settings:

General

Track sources

Filters

Priority

No-repeat


General

Name - name of the category, the category be shown on the list under this name – for instance, “Music”

Duration - the number of tracks or minutes that will be taken from the category during each rotation cycle.

Use all tracks from the source - all source tracks will be used every time.

Use this category only once (do not loop) - this category will be used only once (during the first rotation cycle).

Outro: add only at the end of the playlist - add the track(s) from the category at the end of the playlist only.


Track sources

On the “Tracks” tab, select the source of tracks for this category. This can be a playlist, a folder, a music database or a standalone track. Several sources can be used.

You can use special tags in file names that the program will replace with corresponding values:

?yyyy | current year (4 digits)
?mm | month (2 digits)
?dd | day (2 digits)
?hh | hour (2 digits)
?nn | minute (2 digits)

Tracks can be selected randomly or one by one (in order). In the latter case, tracks in the source are sorted alphabetically.

Start position - sets the initial track position in the source. This track will be the first to be selected when the "In order" option is enabled. This function is used for publishing materials that consist of several parts (such as lectures, for example). The "Advance on each generation" setting increases the starting position for the next playlist generation (so that the next part is used when a new playlist is created).


Filters

On the “Filters” tab, you can set additional filters for tracks, such as year, rating and track duration. Filter values work inclusively.

Filter by year

For the filter by year, you can use now and prev, which is current and previous year, respectively.

Filter by comments

One or several words are defined in the filter. If any of them is found in a track's comments, the track will pass the filter. You can also define mandatory words using the REQUIRE keyword. Exclude tracks using the NOT keyword. Keywords in track tags should be separated with a comma (,) or semicolon (;): slow, moody, 80s.

For example: bass, synth, REQUIRE 90s, NOT slow - select tracks containing bass or synth in comments, definitely contain 90s and do not contain slow.

Filter by genre

One or more genres are defined for track selection. To select several genres, list them through a comma: pop, rock (in this case, Pop or Rock tracks will also be in the category). Tracks without a genre are excluded.

Filter by gender

Filter tracks by the "Gender" field. You can specify multiple options by separating them with a comma.

Filter by language

One or more languages are specified for track selection. To specify multiple languages, they must be separated by commas.


Priority

The “Priorities” tab lets you configure extended track selection rules. Priority represents the odds of a track being added to the playlist.

Track priority is calculated automatically and is based on the set rules. Each track has a base priority of 50, which corresponds to a “standard” chance of being put on the playlist. Values under 50 lower this chance, and values over 50 increase it. Priority values range from 0 to 100. Thus, 0 translates into a very low chance of making it to the playlist, while a value of 100 makes a file three or four times more likely to appear there (compared with the base priority of 50). Priority values below zero exclude the track completely.

Priority rules change track priority based on track properties, i.e., playcount, year, last played, and genre. For instance, for a track that hasn’t been played in a while , you can give it a better chance of being added to the playlist. This chance can be lowered for unpopular tracks.

Playcount rule: you can use the MIN, MAX, and AVG (minimum, maximum and average) values for the “Playcount” rule. For example, you can set a higher priority for tracks whose number of playbacks is fewer than AVG (average).

Year rule: you can use the NOW or CURRENT to specify the current year, and PREV or PREVIOUS to specify the previous year. You can use simple calculations such as: CURRENT-1 - previous year.


No-repeat

The “No-repeat” tab can be used for redefining the global non-repeat settings for an artist, track, album, and track name, and set additional no-repeat rules (year, genre, language, gender).

For jingles, station-related information inserts and non-music tracks, we recommend enabling the “Ignore ‘Do not repeat artist/track’ options” option.


Settings

To improve the quality of the playlist, you can configure different repeat playback prohibition rules on the "Settings" tab:

Do not repeat artist for ... - sets the period of no repetition for a particular artist, in minutes.

Related artists - allow you to prohibit the playback of songs by related artists. This option is used in situations where an artists is known under several stage names or when the same artists performs independently and as part of a band. To configure this function, click the "+" button in the "Related artists" window, add an artist and click "OK". Once done, open (double-click or right-click on "Edit") the new artist and enter related artists, one name per line, in the new window.

Multiple artists - sets non-repeat rules for several artists listed through a divider (for example, if the artist for a track is set as Metallica feat. Aphaville, the individual artists will not repeat: Metallica and Alphaville).

Matching rules (Consider artists identical if their names match for ... %) - do not repeat artists with similar names. Adjust the accuracy of relatedness calculation. You can test the feature by clicking the “Test” button, entering some artists and seeing how similar they appear, in percent:

Do not repeat track for... – sets the no-repeat periodicity of a track, in minutes.

Do not repeat album for... – sets the no-repeat periodicity of an album, in minutes.

Only compare albums from the same artist - the "do not repeat album for" rule can only be set for one artist.

Do not repeat title for – sets the no-repeat periodicity of a track name (for instance, in situations when different artists’ tracks have the same title).

Use the Last Played tag- activates protection against repeats using the "Last Played" tag.

Keep the “Read additional file info” option enabled if you use priorities, filters, or need to take into account the track settings configured in the Track Tool. Information is always re-loaded, even if the track source is a musical base.

Repeat protection: Take into accounts tracks in the playlist window - factors in the rule for not repeating tracks that are on the playlist window in RadioBOSS.

On error, create an empty playlist - creates an empty playlist if an error occurs in the process of generating a playlist.

Filter non playable tracks - filters out tracks that can't be played (e.g. corrupted tracks, tracks with zero duration, unsupported file format etc).

Amount of track overlap – consider the duration of crossfades.


Automatic Playlist Generation

This guide will help you automatically generate playlists on schedule using Playlist Generator Pro.

First, create a preset in the Playlist Generator Pro and save it. It is called “Day” in the example.

After creating the preset, close Playlist Generator Pro and do the following:

1. Create a new scheduler event in RadioBOSS.

2. Click the Wizard button. Select “Generate a playlist”, and then click “Next.”

In the wizard window below, select the preset. Click “Next” to generate a command and insert it into the “Filename/Command” field of the event.

You don’t have to use the Wizard each time. The command to generate a playlist with Playlist Generator Pro has the following format:

generate [pro] preset_name

Substitute preset_name with the preset name you would like to use.

After creating an event, RadioBOSS will automatically generate playlists at the specified time and start the playback.

If you need to create and save a playlist only, without playback, you need to select the option "Save generated playlist to a file (do not start playback) and specify a file name.


Generating multiple playlists

The playlist generator allows you to create several playlists at once. It uses a shared track no-repetition buffer, which makes it possible to use long no-repetition intervals (e.g. several days). To create multiple playlists, select the Generate multiple playlists option.

A window with playlist generation options will appear:

To create playlists, select the presets to be used by clicking the "+" button. For each preset, you need to specify the name of the file it will be saved to. All playlists are saved to a specified folder.

The "Number of playlists" option defines the number of playlists to be created for each preset on the list. If the number of playlists is greater than 1, you need to use modifiers in the file name.

File name modifiers:

%n - a number with no leading zeros (1, 2, ... 10, ... 100).

%nn - a number padded with one leading zero (01, 02, ..., 10, 100).

%nnn - a number padded with two leading zeroes (001, 002, ..., 010, 100)

For example, if you run multiple playlist generation with the "Number of playlists" set to 1 and "Start number" set to 1, you'll have 5 playlists in the D:\Music folder:

D:\Music\playlist_01.m3u8

D:\Music\playlist_02.m3u8

D:\Music\playlist_03.m3u8

D:\Music\playlist_04.m3u8

D:\Music\playlist_05.m3u8

Clicking the arrow next to the Generate button lets you perform some additional actions:

Create event - add an event to RadioBOSS scheduler to create and save playlists.

Copy command line - copy the command line to create and save playlists.


Command Line Interface

Playlist Generator Pro command line parameters

You can use the command line interface to automatically generate playlists and save them to a specified location.

Usage: PlaylistGeneratorPro.exe -preset=PRESET -out=PLAYLIST [-n=N]

Options:

-preset= specifies the preset name (multiple presets can be specified separated by "|")

-out= specifies the file name for saving the generated playlist (use a full path with the extension .m3u8) (multiple file names, matching the preset number, can be specified separated by "|")

-n= how many playlists need to be generated (default = 1). If used, the -out option need to contain one of the modifiers: %n, %nn or %nnn (see below for more information)

-s= when using "-n", the -s option sets the starting number for playlist naming. Example: -s=5

Example: generate a playlist using the MyPreset preset and save it to C:\playlist.m3u8

PlaylistGeneratorPro.exe -preset=MyPreset -out=C:\playlist.m3u8

Warning: If the name of a present contains a space, parameters must be encased in quote marks:

PlaylistGeneratorPro.exe "-preset=My Preset" "-out=C:\Folder name\playlist.m3u8"

You can use the run command in the scheduler together with the command line interface to generate playlists and save them to a specific folder (for example, on a production machine). Unlike automatic playlist generation, doing that will only save a playlist but will not play it.

Example of such a scheduler event (note: there's no need to specify a full path to PlaylistGeneratorPro.exe program):

run PlaylistGeneratorPro.exe -preset=MyPreset -out=C:\playlist.m3u8

Generating multiple playlists in one run (-n option)

Note: when playlists are generated in batch, they share the same no-repeat buffer, which means it's possible to create several playlists for extended periods of time with no repeated tracks.

Example:

PlaylistGeneratorPro.exe -preset=MyPreset -out=C:\playlist_%nn.m3u8 -n=11

Warning: If a command is executed in a .bat file, the percent sign must be written twice:

PlaylistGeneratorPro.exe -preset=MyPreset -out=C:\playlist_%%nn.m3u8 -n=11

This command will generate 11 playlists and save them under the names:

C:\playlist_00.m3u8

C:\playlist_01.m3u8

C:\playlist_02.m3u8

...

C:\playlist_10.m3u8

File name modifiers:

%n - a number with no leading zeros (1, 2, ... 10, ... 100).

%nn - a number padded with one leading zero (01, 02, ..., 10, 100).

%nnn - a number padded with two leading zeroes (001, 002, ..., 010, 100)

Generating multiple playlists using multiple presets in one run

The following example creates 3 playlists using the Morning, Day and Evening presets and saving them to D:\Playlists\Morning.m3u8, D:\Playlists\Day.m3u8, and D:\Playlists\Evening.m3u8 respectively. This allows to prepare playlists in advance and then start them when needed.

Note: when playlists are generated in batch, they share the same no-repeat buffer, which means it's possible to create several playlists for extended periods of time with no repeated tracks.

Example:

PlaylistGeneratorPro.exe "-preset=Morning|Day|Evening" "-out=D:\Playlists\Morning.m3u8|Day.m3u8|Evening.m3u8"

You can specify the full path for the first playlist only; in this case, all playlists will be saved to the same folder. You can specify the full path for all playlists.


Segue Editor

Segue Editor is called from the playlist: right-click a track which crossfade parameters you want to edit, and select Segue Editor (to edit 2 tracks) or Segue Editor 3 (to edit 3 tracks).

A window opens:

Example: Segue Editor for 2 tracks

Red line shows track volume level. Use mouse to move tracks and square points.

Custom crossfade parameters are saved in the playlist. When you open and close RadioBOSS, the parameters will remain. To save the playlist to a file in RadioBOSS top menus click File->Save (or Save As...).


Track Tool

Track Tool used to set individual track parameters: start, end, intro, outro and others.

To start the Track Tool, right-click a track in the playlist and select Track Tool.

Start - sets the beginning of a track. The playback will start from that point.

End - end of the track.

Intro, Outro - intro and outro portions of the track. This is used in Voice Tracking.

Fade In, Mix, Fade Out - set the individual crossfading parameters.

Hook In, Hook Out - setting a place to cut the track for use in the Teasers.

Voice Ins - setting voiceover location.

Playback level - set track playback level.

To show/hide Tag Editor click the dark gray bar on the left.

To stop the playback, press the space bar. You can zoom in and out using the mouse wheel while the Ctrl key is pressed

and held. The zoom level can also be changed from the context menu that

appears after right-clicking on the graph.

If the option Disable song is active, the playlist generator or track list will not use this track when creating playlists.

The Set start/end dates button is used to set the track's start and end dates. If set, then a track will be used only during the time specified. Typical usage for this feature is to make specific songs appear in the playlists only at certain dates (for instance, New year songs). For this feature to work, both start and end dates have to be set!

The Disable song and Start/end dates are considered only when Playlist Generator or Track List are used.


Advertisement Scheduler

You can use Advertisement Scheduler to manage advertisements, that is, to automatically create and schedule advertisement blocks.

To launch it, click Tools -> Ads Scheduler

How to use

First-time setup:

1) On the first launch, open the Settings window. (The application will prompt you to do that, just click Yes.)

2) Set the working folder for saving generated playlists and events.

3) On the Ad blocks tab, select the hours and minutes for placing ads. (You can change this setting later.)

4) Click OK.

Operation:

·In the main window, click the Add button to add tracks. The tracks will appear in the list.

·To add a track to a block, put a check mark in the corresponding grid cell by right-clicking or double-clicking it, or pressing the space bar.

·After filling the grid for each track, click the Create playlists and events button. Playlist files for each ad block and scheduler events to start those playlists at specified times will be created. Events can be automatically added to the RadioBOSS Scheduler.

·Important! For Start and End settings to work, you must set up an automatic advertisement playlist and events update.

The color of ads in the list indicates their status:

Red – the track was not found on the disk;

Gray – the track finished running on the specified date;

Blue – running the track has been planned for a future date;

Black – the track is inactive;

Light-gray – the track is disabled.

You can save and load grid presets to re-use the same grid for new tracks. To do it, click the Edit button below the “Selected Ad properties” grid.

You can access the media plan, that is, view all ad blocks or selected ones only. To do it, click the Ads overview button and select the necessary view mode.

You can set the length of ad blocks as desired. Click “Block setup...” –> “Sweepers...”.

The Test All Blocks button allows you to check all blocks. The following parameters are checked: whether there are 2 or more clips of the same type in a row, whether a block exceeds the maximum duration (specified in settings).


Automatically update ads playlists and events

In order to take into account the settings for the start and end of when commercials are played, you must update the advertising playlists and events from time to time. This can (and should) be done automatically. To do this, click "Create playlists and events", and enable the option "Create event to automatically update ads" in the new window. Choose an update period - every hour or once a day. If you need to run and shoot ads every hour on the nose, they must be updated once an hour.

You can also create an event manually by adding it to the scheduler using the adsupdate command.


Advert parameters

Active - Enable/disable the ad track.

Start - Set the start date and time (inclusive) for the ad track.

End - Set the end date and time (inclusive) for the ad track.

Priority - Set the priority of the ad track on the scale of 1 to 9. The priority defines the position of the track in a block (1 closer to start; 9 closer to end).

Type - Set the type of the ad track. The type is used for showing warnings in case two or more tracks of the same type are placed side-by-side (or example, two pizza commercials in a row).

Alternate tracks - assigning alternate tracks to commercials. Alternate ad tracks are used when creating blocks. When you add the ad track to a block, the ad track is selected (main or one of the alternate ones).

Display group - Select a group to display track in the list.

Comment - Write a comment, note for a ad track.


Settings

To open settings window Ads Scheduler in menu click Settings -> Settings...

Settings:

General

Event properties

Ad Blocks

Misc


General

Working directory - select the folder where created playlists and events will be saved.

Generate playlists for empty blocks - create playlists for blocks that do not have ads.

For empty blocks you can Include intro, Include outro, Include sweeper.

Save playlists as - select the format of the saved playlist. Preferably use m3u8 (default).

Playlist filename template - specify file template for created playlists.


Event properties

Ad scheduler creates tasks with specified settings.

Event properties are similar to the settings in the scheduler.


Ad Blocks

In the Ads Blocks section you can set the time (up to the minute) when you want to launch the ads. The selected blocks will appear in the main window of the ads scheduler in a grid, where each ads can be placed in each block.

You can also Set block intro, Set block outro, Sweepers and Separators between ads.

Set block intro, Set block outro: set intro and outro for the advertising block. A intro is a track that plays at the beginning of an advertising block, and a outro plays at the end of the advertising block. When selecting Track list or Playlist you choose one track from a folder or playlist. Track button: select a specific track.

Sweepers: configure additions for padding the advertising block out to the required length.

Separators: insert separators between ads. One ad will be selected randomly from the folder.


Misc

Warn when block is longer than (0=no warning) - specify block duration, upon expiration of which a warning will be issued. Zero - do not show warning.


Microphone

RadioBOSS lets you use a microphone any time during audio playback.

Note: If you have a hardware mixer board, you probably don’t need the software MIC feature, as you can connect the microphone directly to the mixer.

How to use the microphone

First of all, make sure that a proper device is selected for the MIC button: microphone settings.

Click the

button in the bottom-right corner.

In the settings, select one of the two modes of MIC button operation:

·On/Off: The microphone works as long as the button is pressed. (To turn the microphone off, click the button again.)

·Push-To-Talk: The microphone works as long as you keep the button pressed down.


Working with a line input

Working with a linear input

RadioBOSS lets you add a line input to a playlist. Line input settings can be configured via Options on the Input tab.

Line input is useful for retransmitting a signal received via the sound card’s input (e.g. a satellite feed).

To use the line input, select Playlist -> Add Line Input... in the top menu bar.

A window will open, where you can set the duration (that is, for how long you want the Line.In to be played). Optionally you can enter a broadcast title.

This menu item will be hidden if no device is selected for Line.In in Settings.

“Line.In” plays just like an ordinary file in the playlist. Crossfading and most other effects are applied to it as well.


Stream and podcast playback

To insert a stream or podcast into the playlist, in the menu click Playlist -> Add URL...

A window will open where you can enter the stream URL and set the duration:

Check the Podcast checkbox if a URL points to a podcast: in this case, RadioBOSS will select the newest stream from the feed and play it. When the podcast checkbox is checked, the URL has to point to an XML podcast feed.

When the Stream duration is set to 0 (zero), RadioBOSS will play a stream until its end (or until something else is started in the playlist). If the duration is non-zero, RadioBOSS will play a stream for a specified amount of time, restarting the stream in case of any errors, e.g. connection failure. Note! Streams with no duration specified (0) will not be restarted in case of an error.


Cart wall

Cart wall is used for instant on-demand playback of various audio files.

To add cart wall: click the "+" button in the Playlist section and select "Cart wall":

The 5x5 grid is created:

To assign tracks: right-click the cell and click "Edit...".

In the window that appears, select the file you want to play as well as its color and display name (the name is displayed in the center of cell). Click OK.

You can specify line.in or line2.in as the file name to playback the line input. Set file name to stopall to make the cart button stop all playing carts. Cart wall also supports scheduler file name templates.

To fill cells, you can drag and drop tracks from Explorer. You can also drag and drop tracks between cells.

After the setup is done, you can play tracks when you need: simply click on the corresponding cell. In the bottom-left corner the remaining playback time will be shown. To stop playback, click the cell again. Right-click on a cell to edit it or enable loop.

Carts may be played on another audio device: playback settings.

Right-click a cart wall tab to save or load the cart wall grid:

You can now change the size of the cart-machine's grid. To do that, right-click on the tab and select "Change grid size..." command from the menu. You will see a new window for entering the necessary number of rows and columns.

If you reduce the number of cells, the ones that do not fit into the resized grid will be removed.

You can assign a hot key for the cart wall as follows: Right-click the cart wall tab, select “Hot key modifier” in the context menu, and set a desired option.

Suppose you have assigned the Ctrl key. To play a track, press (and release) Ctrl, and then press the key corresponding to the necessary track. For example, if you want to listen to a track under the digit 2, press Ctrl, and then press the “2” key. If the track is under the letter M, press Ctrl, and then press the “M” key.

To stop the playback, press the same keys again. The same works for the Shift key.

You can create a few carts on the cart wall. Pressing Ctrl+2 will create two carts, and pressing Ctrl+3 will create three ones.

More information:

Playback


File Types

RadioBOSS allows you to set up file types for particular types of tracks. For each file type, you can specify the color in the playlist, crossfade parameters, and amplifying level for playback (-20 to +20 dB). Files that do not belong to any file type are treated as "Music" for crossfading.

Assigning tracks to file types possible in different ways:

1. Folder based. Specify the folder in File type folder field. If the folder is specified, all tracks in this folder (and sub-folders) are considered to be tracks of the given type.

2. Use identifier. An identifier is a word or a sequence of characters that assigns a file to a particular type. Identifier should be included in the tag information or filename: RadioBOSS looks for an identifier in the tag area (artist/title) or the filename if a file has no tags. It's not recommended to use short identifiers which can appear as a part of regular track's titles - for instance, if your identifier is "id", it can be found in the track called "The Beatles - Everybody's Got Something to Hide". The solution would be to use "id:" (add a colon before and/or after the identifier) or choose another identifier. To create a file type for network streams use the :// identifier (or any part of the address, for example, domain name). A file type for automatic time announcement should have saytime identifier.

3. You can use the Track Tool to assign a track for a particular file type. You can set the file type for multiple tracks at the same time via Music Library.

For example: The first group is named “Commercial”. Its identifier is “Commercial”, the color is set to red, and the amplifying level is set to +5dB. In this case, all tracks containing the identifier "Commercial" in tags (title/artist) or filename will be displayed red in the playlist and played louder than other tracks. The file will be mixed according to the crossfade parameters configured for the “Commercial” group in the Crossfades window.

File type options:

Name | File type name
Identifier | File type identifier
Look for identifier in | RadioBOSS looks for an identifier in the tag area (artist/title) or the filename if a file has no tags
File Type folder | Define file type folder. All tracks found in this folder (and in sub-folders) will be considered tracks of a given type.
Color in playlist | Coloring of the tracks of this type in the playlist. Click the box to change the colors
Amp | Change the level to amplify or lower the level when a track of this type is played
Include tracks of this type in report | Controls whether tracks of this type should be included in the report
Treat as a Voice track | If checked, tracks of this type will be treated as Voice Tracks
Do not send title to the server | This option allows you to not send the track's name to the server
Use custom title format | Specify a custom broadcasting title format for this file type. Please see this page for details.
Use bed for playback | A bed can be set, which will play in the background
Skip after scheduled tracks | After the event is completed, the selected file type in the playback queue will not be played back
Do not play two or more tracks consecutively | Two or more tracks will not play one after another

To set up a new file type, follow these steps:

1. On the top menu bar, select Settings > Options...

2. Click File Types.

3. Enter the name of a new file type into the Name field.

4. Enter the identifier of a file type into the Identifier field.

5. Select background and font colors.

6. Move the Amp slider to set the amplification level if needed.

7. Click OK.

Related topic:

RadioBOSS. Quick start.


Crossfading

Crossfade allows you to define the mix (overlap) point, and fade in/out parameters for music and other files. To open this window, select Settings –> Crossfades in the menu.

Controls and options:

Fade in

Time interval in the beginning of a track for the volume to go up. When a track is started, the volume will go linearly from 0 to 100% during that time.

Mix point

The moment before the end of a track when the next track starts playing, overlapping with the current track.

Trigger mix at

The “Trigger mix at" setting is based on a sound level (default setting is –14dB). The “Mix point” option must be turned on too.

If the “Trigger mix at” option is turned on, the “Mix point” value (2.5 seconds by default) controls the minimum overlap duration.

Fade out

Time interval in the end of a track for the volume to go down.

Start fading out on mix

The fade out will be started together with Mix. If the “Fade out” option is turned on, the corresponding value defines the fade out duration.

File type selector

Selects the file type for editing the crossfade settings.

Override previous track mix

Overrides the previous track's mix point to control how many tracks overlap. This is useful for commercials and jingles in order to avoid long overlap with the preceding music track.

File types...

Opens the File Types dialog to configure file types.

More information:

Using different types of files


Using Track list

Track List appears as one track in the playlist. When launched, one file is played from the list, selected either randomly or in order. This is an easy way to create random playlists.

To add a track list, follow the steps below:

1. On the top menu bar select Playlist > Add Track List...

2. Select a source of the tracks, click Select playlist... or Select folder....

In case of a folder, you can also check the "Recurse subfolders" to include tracks that are in subfolders.

3. Choose a track selection method, set one of the options:

·Random - tracks will be selected in Random order. RadioBOSS will try avoid repeating tracks unless all the tracks are played from the source.

·In order - tracks will be selected one by one in order (when using folder source, the tracks are sorted alphabetically by filename).

·Series - tracks will be selected one by one in order, but the position in the list will not advance automatically: the same track will be chosen until the list position is advanced. To advance the position, a scheduled event needs to be used: click the Create event... button to add the event.

The event to advance the position can be added any time later on:

Option 1. Add a scheduled event and use the Scheduler wizard: select Play one track from a playlist or folder, Next button, Play one track from a playlist or folder (Track List), Next, select the same source folder, and make sure that "Recurse subfolders" is in the same state as it was when the series was added. Click the Create event button.

Option 2. Right-click the Track List item in the playlist, select Tools and then select Rename/edit. Click the Create event button.

Repeat protection

Click the Repeat Protection button to enable repeat protection options for Track List.

The repeat protection settings are global and applied to all Track List's used in RadioBOSS. Track List can be set to ignore the no-repeat rules: the Ignore repeat protection rules checkbox (useful for jingles, station IDs and similar items where repeat protection should not be used).

More information:

Generating a playlist


Creating a music library

The library is used for quick search and to help generate a new playlist in the Playlist Generator.

The library offers tools to help manage a database. For example: The Verify command scans the database for any entries or file(s) that have been deleted from the hard disk, and removes the invalid entries automatically. With the built-in audio player you can preview tracks.

To create a music library, follow the steps below:

1. On the top menu bar click Music library > Open Music Library

This opens the Music library window.

Now it is necessary to add tracks. There are two ways to do it. The user can either add single files or music folders.

2. To add a folder, select Add > Add folder...

The dialog appears, which lets the user select the folder.

3. Click Select to add files from the folder to the library.

4. To save the changes, click the Save button.

You can find more commands in the Tools menu.

Check music tracks... – checks audio files for damages, and then shows a list of bad tracks. This option also allows you to check the tracks' tags.

Scan tracks and remove silence... – scans tracks for silence, and adds the beginning and end marks. You can define the silence removal threshold via RadioBOSS settings.

Scan BPM... – scans tracks and adds the BPM tag.

Schedule automatic library update... – creates a task in RadioBOSS to scan the specified folders and add audio files to the database.

You can select the tracks using the mouse wheel.

User defined fields

The music library allows the definition of up to five custom user fields. Custom fields appear in tag editors (Track Tool and bulk tag editor in the music library) and can also be used in the Report Generator.

Related topics:

Playlist Generator

Quick search


Voice Tracking

RadioBOSS supports voice tracking, namely recording and playback.

To record a voice track and insert it into a playlist, use the corresponding commands in the Playlist menu:

If you click the “Record voice track...” menu item, the Voice track recording tool will open:

The tool uses the same input device as set for the MIC button.

To start recording, click the Record button. Once finished, click Stop. To listen to the track recorded, click Play. The Pre-listen sound card is used for playback. To edit a voice track, use the Edit commands. To save a voice track, click the Save button. Save all voice tracks in the Voice Track folder (you can change its location via Settings -> General).

To insert a voice track into the playlist, click the Insert voice track menu item. All voice tracks appear in italics in the playlist.

Voice tracks are played automatically in the intro/outro portions of the tracks. You can set the intro and outro for tracks using the Track Tool.

The picture below shows the general idea on how voice tracks are played:

Red is the Outro part of Track1, and Green is the Intro part of Track2. For short voice tracks (shorter than Intro + Outro), a voice track will be played closer to the end of the Intro of Track2.

Some voice track-related playback parameters can be configured via Settings -> Playback -> Fading.

A short note about what Intro and Outro are:

Intro is an opening instrumental part of the track, before the singer starts singing.

Outro is a conclusion of the track, usually an instrumental solo.


Voiceovers

Voiceovers - insert a voice at the indicate position in the music track.

Set a place to insert the voiceover in Track Tool.

Once the place for the voiceover has been set, press "..." in Track Tool to adjust the voiceover's parameters. You can listen to the insertion point by right-clicking on "...".

Voiceover parameters

Voice insert - choose a file or folder containing voiceovers. If you choose a folder, a random file will be selected from it every time.

Position - sets the marker mode. Start - the voiceover will begin at the selected place. End - the voiceover will end at the selected place.

Probability - set the probability of voiceover playback.

For a track with a voiceover, the voiceover is shown in pink in the "On Air" window.

Voiceovers can be enabled or disabled (for example, they can be disabled for nighttime broadcasts) using the scheduler commands: enablevo, disablevo.


Auto Intro

The Auto Intro feature allows to automatically insert jingles before music tracks.

To use the Auto Intro, select Tools > Auto Intro on the top menu bar.

The Auto Intro window will open. It shows the list of defined Auto Intro rules.

Click the Add button to add new rule. Use the Edit button to edit the selected rule. The Up and Down buttons are used to move rules in the list.

The rules are prioritized based on their order in the list: the rules closer to the top have higher priority. If two or more rules can be applied to a music track, the topmost rule will be used.

The rule parameters window:

The window allows to set the following parameters

Name - the rule name in the list. The name is also used in the autointro scheduler command to enable and disable rules.

Intro tracks - set the list of jingles to insert. It can be a single file, a playlist or a folder. In the case of a playlist or a folder, it will select one random jingle.

Probability - set the probability of inserting a jingle. 100% - always jingle, 33% - on average, insert one jingle for every three tracks and so on.

Condition - if Condition is set, the jingle will only be inserted for the music tracks that match the criteria. For instance, condition can be used to apply auto intro for tracks of a certain genre or for tracks from a specific artist. When checking a condition, the letter case is not taken into account.

Position on track - set the auto intro jingle position on the music track. Start at and End at set the position type: where jingle should be started, or where it should end. Then the time value is set, in seconds, or it can be a special value: Intro or Fade In. For instance, if the position is set to End at: Fade In the jingle will end its playback at the time when the underlying music track finishes fading in. If position is set to End at: 3.5 the jingle will end 3.5 seconds after the start of the music track.


Teasers

Teasers - automatically created teasers from tracks. The start jingles, the transition between the tracks, and the end are defined in teaser properties. For music files, you can use the hook marks to determine the locations where the teasers should be divided (the Hook In and Hook Out are assigned using the Track Tool). Alternatively, RadioBOSS can automatically determine the location where teasers should be made in the track (AutoHook). A source of tracks can be a folder on disk, or the tracks that are going to be played next in a playlist. When the next tracks are announced, the teasers work only if the "Shuffle" mode is turned off and only if regular tracks are used: such special elements as the Track List, Internet streams, commands, etc., are ignored.

To add a teaser to a playlist, in the menu click Playlist -> Add teaser.

To reproduce the teaser through the scheduler in the wizard, you must select Automatic announcement - Teaser.

To create a file type for teaser, use the teaser= identifier.

General structure of the teaser

oBeginning jingle

oTeaser of track 1

oTransition

oTeaser of track 2

oTransition

oTeaser of track 3

oTransition

oTeaser of track 4

oEnding jingle

The beginning, end, and transition jingles are optional.

A crossfade is applied between the teaser elements. Its parameters can be set in the teaser settings window (the Settings button in the teaser window).

The Start, Transition, and End define the start, transition, and end jingles, respectively. You can select a folder (in this case, a random file will be selected from it) or a file. If you do not want any of the jingles, then leave the field empty.

Tracks - select the source of tracks:

oComing up next - specify the number of tracks that come after the track that is currently playing in the playlist. Max tracks to look ahead - specify the number of tracks that can be used to make teasers.

oTracks from a folder - select tracks from a folder.

Track count - determine the number of tracks in the teaser: this number of tracks will be selected from the source folder.

Shuffle tracks - random tracks will be selected from the source.

AutoHook for tracks without hook points - this option is used for tracks without the Hook In and Hook Out positions; the teaser locations will be determined automatically.

oDuration - the length of the automatic hooks created by AutoHook.

Settings - button that brings up the teaser settings window.

Transitions - this is used to set the options for crossfade transition between teaser elements. These settings have similar functionality to the crossfade settings.

Track exceptions - tracks that are excluded from the teaser. This option allows you to exclude very long and very short tracks as well as file types (for example, news, advertising, etc.).


Report Generator

RadioBOSS has a tool to generate ready-to-print reports of what was played.

To open report generator click Tools -> Report Generator

Report Generator:

In this window you select report period (start and end dates), report type and report fields: title, artist, album, year, genre, comment, playcount, length, etc.

Report type:

Playcount - each track will appear in report once but will show how many times it was played

List - will list all played tracks

The report can be sorted by set criteria. To apply sorting, select the Sort by (Artist, title, album, year...) and Direction (Ascending or descending) fields.

Set the fields you want to see in report: move fields from Available to Selected list. Start hour starts with the 00 minute; end hour is at 59 minute (inclusive). For example, to generate report for 8:00:00 AM to 8:59:59 AM, select both start and end hours at 8 AM.

After all set, click the Preview button.

A window where you can print or save report will appear:


Editing tags

RadioBOSS has a built-in audio tag editor. It supports ID3v1, ID3v2, MP4, WMA, and other tag formats. You can see the tag editor below the playlist window.

If the tag editor is hidden, do either of the following:

* Press Ctrl+I

* Click the small (i) icon below the playlist

* In the menu, click View -> Track Information

Please note! If tag editing has been started, track information is not updated, until changes are saved or canceled (the buttons to save or cancel changes are in the bottom right corner).

If there is no information about a track, you can enter the information manually. Just right-click on the information panel and select "Extract artist/title from filename". To save a tag, press enter or click the Save button in the bottom-right corner.

More information:

Playlist window


Record your broadcast

This function can be used both for archiving your broadcasts and preparing prerecorded shows. With RadioBOSS, recording broadcasts is extremely easy.

To use this feature, select the Stream Archive item in the Tools menu.

Alternatively, click the Stream Archive button on the toolbar.

A window will appear, where you can configure all necessary settings for recording a program. You can start or stop recording automatically, by adding the streamarchive command to the scheduler.


Virtual Sound Cards

RadioBOSS allows you to use one or several virtual sound cards (the number of cards is unlimited). Virtual cards are integrated into the program and require no separate installation. You can add, delete and enable/disable them in RadioBOSS playback and recording settings.

What is a virtual sound card and what do I need it for?

Virtual cards help redirect sound from one program to another. For instance, you can put a Skype call on air or redirect sound from a satellite receiver or FM tuner to a program. Each virtual card is a paired input/output: what enters the output (for example, the card is selected as a playback device in some program) can be sent to the input (for example, by selecting a corresponding device as a linear input in RadioBOSS).

Virtual cards are provided by VB-Audio Software (www.vb-cable.com).

The VB-CABLE is donationware (all participations are welcome).


Remote Control API

You can control RadioBOSS remotely by using its Remote Control API.

Enable and configure this feature via the Settings window: Configure Remote Control API.

HTTP remote control API reference

Note: When generating a request string, use one of the URL Encoding functions for parameters. For example, use urlencode (http://www.php.net/manual/en/function.urlencode.php) for PHP. Requests should be sent in UTF8 encoding.

I. Executing a command. You can use the same commands as in the scheduler. Here’s the list of commands available: Scheduler commands

Commands that can not be used from the API: getrandomplaylist, getfile, playrequestedsong

Syntax:

http://IP:Port/?pass=PASSWORD&cmd=COMMAND

(substitute “COMMAND” and “PASSWORD” accordingly)

Example 1: Play the next track (command: next)

http://127.0.0.1:9001/?pass=WxPe2JXh&cmd=next

Example 2: Play the first track in the playlist (command: “play 1”)

http://127.0.0.1:9001/?pass=WxPe2JXh&cmd=play%201

II. Performing an action

Syntax:

http://IP:Port/?pass=PASSWORD&action=ACTION

(substitute “ACTION” and “PASSWORD” accordingly)

Possible ACTION values:

playbackinfo

get playback information

Returns an XML containing the current and next track information, and playback position, state and some other information.

Example

http://127.0.0.1:9001/?pass=WxPe2JXh&action=playbackinfo

An example of data returned: show

<?xml version="1.0" encoding="utf-8"?>

<Info>

  <PrevTrack>

      <TRACK ARTIST="Metallica" TITLE="Battery" ALBUM="Master Of Puppets" YEAR="1986" GENRE="Metal" COMMENT="" FILENAME="D:\Metallica\Master of Puppets\01 Battery.m4a" DURATION="05:12" PLAYCOUNT="1" LASTPLAYED="2018-01-16 20:20:30" INTRO="0.00" OUTRO="0.00" LANGUAGE="" F1="" F2="" F3="" F4="" F5="" CASTTITLE="Metallica - Battery" />

  </PrevTrack>

  <CurrentTrack>

      <TRACK ARTIST="Metallica" TITLE="Master Of Puppets" ALBUM="Master Of Puppets" YEAR="1986" GENRE="Metal" COMMENT="" FILENAME="D:\Metallica\Master of Puppets\02 Master Of Puppets.m4a" DURATION="08:29" PLAYCOUNT="1" LASTPLAYED="2018-01-16 20:20:38" INTRO="0.00" OUTRO="0.00" LANGUAGE="" F1="" F2="" F3="" F4="" F5="" CASTTITLE="Metallica - Master Of Puppets" LISTENERS="0" />

  </CurrentTrack>

  <NextTrack>

      <TRACK ARTIST="Metallica" TITLE="The Thing That Should Not Be" ALBUM="Master Of Puppets" YEAR="1986" GENRE="Metal" COMMENT="" FILENAME="D:\Metallica\Master of Puppets\03 The Thing That Should Not Be.m4a" DURATION="06:36" PLAYCOUNT="0" LASTPLAYED="" INTRO="0.00" OUTRO="0.00" LANGUAGE="" F1="" F2="" F3="" F4="" F5="" CASTTITLE="Metallica - The Thing That Should Not Be" />

  </NextTrack>

  <Playback pos="8543" len="509416" state="play" playlistpos="4" />

  <Options repeat_list="0" shuffle="0" />

  <Features scheduler="0" />

</Info>

inserttrack

insert a track into the playlist

Parameters

"filename" — local file name

"pos" — a position in the playlist where track should be inserted (1 ... N).

Other possible values:

-1: insert into the end of the playlist

-2: insert after playing the track

-3: insert after scheduled tracks

"streamingtitle" — set broadcasting title for the inserted item

Example

Insert the track “D:\music\track.mp3”

http://127.0.0.1:9001/?pass=WxPe2JXh&action=inserttrack&filename=D%3A%5Cmusic%5Ctrack.mp3&pos=-2

Returns OK if successful

library

download a music library file (xml)

Parameters

"filename" — music library file name

Returns: music library file contents

Example

http://127.0.0.1:9001/?pass=WxPe2JXh&action=library&filename=Base

trackartwork

download artwork for the current track

Returns: artwork for the currently playing track (or nothing if there is no artwork)

nexttrackartwork

download artwork for the next track

Returns: artwork for the next track (or nothing if there is no artwork)

setnexttrack

set the next track

Parameters

"pos" — the position of a track in the playlist, which will be selected as a next track (1 ... N)

Example

Set the first track in the playlist to be played next.

http://127.0.0.1:9001/?pass=WxPe2JXh&action=setnexttrack&pos=1

Returns OK if successful

delete

delete a track from playlist

Parameters

"pos" — the position of a track in the playlist, which will be deleted (1 ... N)

Example

Delete second track in the playlist

http://127.0.0.1:9001/?pass=WxPe2JXh&action=delete&pos=2

Returns OK if successful

move

move a track to another position in the playlist

Parameters

"pos1" — original track position

"pos2" — new track position

Returns OK if successful

mic

turn microphone on and off or query microphone status

Parameters

"on" - 0 to turn microphone off, 1 to turn on. If the parameter is omitted, returns microphone status, if parameter presents, returns OK if successful.

0 - off

1 - on

Example (turn microphone on):

http://127.0.0.1:9001/?pass=WxPe2JXh&action=mic&on=1

Example (query status):

http://127.0.0.1:9001/?pass=WxPe2JXh&action=mic

getplaylist

get playlist contents

Returns: an XML containing the playlist contents. This function reads tag information and can be slow for large playlists.

An example of data returned: show

<?xml version="1.0" encoding="utf-8"?>

<Playlist>

  <TRACK ARTIST="Metallica" TITLE="Battery" ALBUM="Master Of Puppets" YEAR="1986" GENRE="Metal" COMMENT="" FILENAME="D:\Metallica\Master of Puppets\01 Battery.m4a" DURATION="05:12" PLAYCOUNT="1" LASTPLAYED="2018-01-16 20:20:30" INTRO="0.00" OUTRO="0.00" LANGUAGE="" F1="" F2="" F3="" F4="" F5="" />

  <TRACK ARTIST="Metallica" TITLE="Master Of Puppets" ALBUM="Master Of Puppets" YEAR="1986" GENRE="Metal" COMMENT="" FILENAME="D:\Metallica\Master of Puppets\02 Master Of Puppets.m4a" DURATION="08:35" PLAYCOUNT="1" LASTPLAYED="2018-01-16 20:20:38" INTRO="0.00" OUTRO="0.00" LANGUAGE="" F1="" F2="" F3="" F4="" F5="" />

  <TRACK ARTIST="Metallica" TITLE="The Thing That Should Not Be" ALBUM="Master Of Puppets" YEAR="1986" GENRE="Metal" COMMENT="" FILENAME="D:\Metallica\Master of Puppets\03 The Thing That Should Not Be.m4a" DURATION="06:36" PLAYCOUNT="0" LASTPLAYED="" INTRO="0.00" OUTRO="0.00" LANGUAGE="" F1="" F2="" F3="" F4="" F5="" />

</Playlist>

getplaylist2

get playlist contents (fast)

Returns: an XML containing the playlist contents. This function is faster than getplaylist.

Parameters

"cnt" - max number of tracks to return, 0 = return all tracks (optional)

An example of data returned: show

<?xml version="1.0" encoding="utf-8"?>

<Playlist COUNT="18">

  <TRACK STARTTIME="8:20:30 PM" CASTTITLE="Metallica - Battery" DURATION="05:12" FILENAME="D:\Metallica\Master of Puppets\01 Battery.m4a" RATING="0" PLAYCOUNT="1" INTRO="" OUTRO="" BPM="" PLAYLISTINDEX="0" INDEX="1" />

  <TRACK STARTTIME="8:20:38 PM" CASTTITLE="Metallica - Master Of Puppets" DURATION="08:35" FILENAME="D:\Metallica\Master of Puppets\02 Master Of Puppets.m4a" RATING="0" PLAYCOUNT="1" INTRO="" OUTRO="" BPM="" PLAYLISTINDEX="1" INDEX="2" />

  <TRACK STARTTIME="8:29:10 PM" CASTTITLE="Metallica - The Thing That Should Not Be" DURATION="06:36" FILENAME="D:\Metallica\Master of Puppets\03 The Thing That Should Not Be.m4a" RATING="0" PLAYCOUNT="0" INTRO="" OUTRO="" BPM="" PLAYLISTINDEX="2" INDEX="3" />

</Playlist>

trackinfo

get track information

Parameters

"pos" — the position of a track in the playlist

Example

http://127.0.0.1:9001/?pass=WxPe2JXh&action=trackinfo&pos=2

An example of data returned: show

<?xml version="1.0" encoding="utf-8"?>

<Info>

  <Track>

      <TRACK ARTIST="Metallica" TITLE="Master Of Puppets" ALBUM="Master Of Puppets" YEAR="1986" GENRE="Metal" COMMENT="" FILENAME="D:\Metallica\Master of Puppets\02 Master Of Puppets.m4a" DURATION="08:35" PLAYCOUNT="1" LASTPLAYED="2018-01-16 20:20:38" INTRO="0.00" OUTRO="0.00" LANGUAGE="" F1="" F2="" F3="" F4="" F5="" />

  </Track>

</Info>

songrequest

add song request

Parameters

"filename" - file name of a requested song (full path)

"message" - optional, message from a user who requested a song

To manually view the list of requested songs, in the menu click View->Song Requests...

To automatically play the requested songs use the playrequestedsong scheduler command.

Returns OK if successful

songrequestclear

clear the requested songs list

Clears the requested songs list.

Returns OK if successful

songrequestlist

get requested songs list

Returns: an XML with requested songs list. Show example

<?xml version="1.0" encoding="utf-8"?>

<SongRequest>

  <Request filename="C:\Music\Track01.mp3" message="The message" />

  <Request filename="C:\Music\Track08.mp3" message="Another message" />

</SongRequest>

encoderstatus

get status of broadcasting encoders

Returns: an XML containing with encoder status information. Show example

<?xml version="1.0" encoding="utf-8"?>

<Encoders>

  <Encoder index="0" status="idle" />

  <Encoder index="1" status="off" />

  <Encoder index="2" status="active" />

</Encoders>

streamarchivestatus

get stream archive status

Returns Stream Archive status

0 - off

1 - on

schedule

control scheduled events

Parameters

"type" - the request type, one of:

olist - list events (returns all events in XML format)

odelete - delete an event

orun - run event

oadd - add new event

oupdate - edit event

ostate - turn scheduler on or off or retrieve scheduler state

"event" - XML event data (when type is "update" or "add")

"id" - event ID, you get the event ID when you perform "list" query (used when type is "delete", "run", or "update")

"set" - on or off (when type is "state"), if parameter is omitted - returns current scheduler state

Returns

·for delete, run, add, update requests: OK if successful

·for state request: on - schedule enabled, off - scheduler disabled

Event list XML example

<?xml version="1.0" encoding="utf-8"?>

<Events>

<item EnabledEvent="True" UseDate="False" EveryYear="False" Imm="False" Above="False" FileName="generate [pro] 1h" MuteLev="50" DelPrev="True" DoNotRunIfStopped="False" bRepeat="True" nRepeatPer="60" DoNotMarkAsScheduled="False" nRepeat="1" RepeatLimit="False" TimeToStart="" Shuffle="False" PausePlaylist="False" UseWeeks="False" Enqueue="False" DelTaskAction="0" DelTaskUseDate="False" TaskName="Playlist" ClearMainPlaylist="False" UseDaysOfWeek="True" Hours="000000000000000000000000" Minutes="0" Seconds="0" TimeType="0" TaskNameAsTitle="False" IntTimeToStart="2147483647" ItemImageIndex="63" FontColor="-16777208" BackColor="-16777211" GroupName="" DTMFOn="False" DTMFString="" DTMFOnly="False" DTMFExitOn="False" DTMFExitString="" MaxTimeWaitOn="False" MaxTimeWaitSec="0" MaxTimeWaitAction="0" UseFillers="False" FillersSource="" FillersRecurse="True" FillerMaxAmount="120" Id="DKCODACFWSIKHULWXDUL" Days="1111111" Weeks="00000" Time="2018-02-17 00:00:00" DelTaskTime="2018-02-17 00:00:00" />

<item EnabledEvent="True" UseDate="False" EveryYear="False" Imm="False" Above="True" FileName="http://127.0.0.1:8092/live" MuteLev="50" DelPrev="True" DoNotRunIfStopped="False" bRepeat="False" nRepeatPer="10" DoNotMarkAsScheduled="False" nRepeat="1" RepeatLimit="False" TimeToStart="" Shuffle="False" PausePlaylist="False" UseWeeks="False" Enqueue="False" DelTaskAction="0" DelTaskUseDate="False" TaskName="" ClearMainPlaylist="False" UseDaysOfWeek="True" Hours="000000000000000000000000" Minutes="0" Seconds="0" TimeType="0" TaskNameAsTitle="False" IntTimeToStart="2147483647" ItemImageIndex="56" FontColor="-16777208" BackColor="-16777211" GroupName="" DTMFOn="False" DTMFString="" DTMFOnly="False" DTMFExitOn="False" DTMFExitString="" MaxTimeWaitOn="False" MaxTimeWaitSec="0" MaxTimeWaitAction="0" UseFillers="False" FillersSource="" FillersRecurse="True" FillerMaxAmount="120" Id="BBTHCRXFCOENENGPGOFG" Days="1111111" Weeks="00000" Time="2018-03-13 00:00:00" DelTaskTime="2018-03-13 00:00:00" />

</Events>

getlastplayed

get list of last played tracks

Parameters

"filter" = 1 - (optional) exclude tracks whose titles have not been sent to the server

Returns: an XML containing information about recently played tracks. Show example

<?xml version="1.0" encoding="utf-8"?>

<LastPlayed>

  <TRACK ARTIST="Metallica" TITLE="Master Of Puppets" ALBUM="Master Of Puppets" YEAR="1986" GENRE="Metal" COMMENT="" FILENAME="D:\Metallica\Master of Puppets\02 Master Of Puppets.m4a" DURATION="08:35" PLAYCOUNT="1" LASTPLAYED="2018-01-16 20:20:38" INTRO="0.00" OUTRO="0.00" LANGUAGE="" F1="" F2="" F3="" F4="" F5="" STARTTIME="2018-01-16 20:20:38" />

  <TRACK ARTIST="Metallica" TITLE="Battery" ALBUM="Master Of Puppets" YEAR="1986" GENRE="Metal" COMMENT="" FILENAME="D:\Metallica\Master of Puppets\01 Battery.m4a" DURATION="05:12" PLAYCOUNT="1" LASTPLAYED="2018-01-16 20:20:30" INTRO="0.00" OUTRO="0.00" LANGUAGE="" F1="" F2="" F3="" F4="" F5="" STARTTIME="2018-01-16 20:20:30" />

</LastPlayed>

readtag

read track tag information

Parameters

"fn" - file name

Example

http://127.0.0.1:9001/?pass=WxPe2JXh&action=readtag&fn=D:\Metallica\Metallica%20-%20Darkness.mp3

An example of data returned: show

<?xml version="1.0" encoding="utf-8"?>

<TagInfo>

  <File FN="D:\Metallica\Metallica - Darkness.mp3" Duration="446028" Artist="Metallica" Title="Darkness" Album="" Year="" Genre="" Comment="" BPM="" Rating="0" Playcount="0" LastPlayed="2018-01-16 20:20:30" />

</TagInfo>

writetag

write track tag information

Parameters

"fn" - file name

"data" - new tag data in XML format (same as returned by readtag)

Return value

OK if successful

Error with error message text on error


User Account Management

The "User Access Control" function of RadioBOSS enables you to control users' access to various program features, such as playlist editing; adding, changing and removing tabs; playback control; effects modification, etc. This feature is only available in RadioBOSS Advanced edition.

The "Lock" function: when this option is enabled, you will see a window that will lock the program until the password is entered or another user logs in:

Every option of the Users function are easy to configure. User settings can be changed only after entering the admin password.

Enabling the "Administrator (full access)" option grants all available permissions.

Default user - this setting selects the user with whose permissions the program will launch.

If you have enabled the "Users must login to use RadioBOSS", you will need to enter the password of one of the users to use RadioBOSS.

ATTENTION! Please remember that if you lose or forget the admin password, you may lose access to the program. The first user on the list always has admin rights. If there are other users with admin rights, they cannot remove the first admin, change or view his/her password.


Playback queue

The playback order in the playlist can be changed using the Playback Queue feature. It allows you to modify the playback order without the need to relocate the tracks in the playlist.

·To add a track to the playback queue right-click a track in the playlist and select Add to playback queue.

·To remove a track from the queue, right-click a track and select Remove from playback queue (this command is only visible for the tracks that are in the playback queue).

·View and playback queue: in RadioBOSS top menu bar click View - Playback queue...

Tracks that are added to the queue are marked with the order number in brackets.

Playback queue edit window:


Automatic time announcements

RadioBOSS can automatically “say” the current time.

To add a time announcement, use the menu: Playlist -> Add time announcement.

A window will open, prompting you to select a folder with voice files. The folder should contain 24 sound files for hours and 60 files for minutes.

File naming convention:

·Hour files. Each hour file must have the letter “h” and a two-digit number in the file name. For example, the file “hr_05.mp3” should say “it’s 5”; this file will be followed by a minute file. For exact hours, hour files with the letter “o” in the name are used. For example, the file hr_05o.mp3 should say “it’s 5 o’clock.” (Minutes are not used for exact hours.)

·Minute files. Each minute file must have the letter “m” and a two-digit number in the file name. For example, the file “m_56.mp3” should say “fifty-six.”

You can download sample voice files from our website: http://www.djsoft.net/enu/download.htm

You can use Scheduler to start announcements: Click the Wizard button, select “Automatic announcement,” and follow the instructions.


Automatic Weather Announcements

Updating weather data for your city

To update the weather data, use the scheduled event with the weather command, for example:

weather New York, US

weather Sydney, AU

(it is recommended to set this event to start every day one or two times to get the actual weather data)

Weather data is retrieved using the OpenWeatherMap service: http://openweathermap.org/

Weather data is available in variables:

Today weather data

?temp | temperature (degrees Celsius)
?temp_f | temperature (degrees Fahrenheit)
?wind_speed | wind speed (meters per second)
?wind_name | wind description in English (e.g. "Light Breeze")
?humidity | humidity (percentage)

Weather data for tomorrow (the meaning for variables is the same as for today's weather)

?temp_tom

?temp_tom_f

?wind_speed_tom

?wind_name_tom

?humidity_tom

Automatic weather announcement using Text-to-Speech (to add TTS, in the top menu click Playlist->Extra->Add Text-To-Speech)

Phrase example:

Temperature today is ?temp degrees Celsius wind speed is ?wind_speed metres per second ?wind_name humidity is ?humidity percent. Tomorrow ?temp_tom degrees Celcius ?wind_speed_tom metres per second ?wind_name_tom humidity is ?humidity_tom percent.

If using built-in voices in Windows, better results are achieved if using Windows 8 or newer.

Automatic weather announcements using pre-recorded files with temperature and humidity

Humidity and temperature files should be named to contain the numeric value, examples.

"TMP29.mp3" - temperature file saying "29 degrees Celsius".

"TMP-10.mp3" - "minus 10 degrees Celsius"

"HUM3.mp3" - "humidity is 3 percent"

Create a playlist with appropriate track sequence, for instance, 3 tracks:

1. Weather intro

2. Temperature today (add one of the temperature files into the playlist)

3. Humidity today (add one of the humidity files into the playlist)

Save this playlist to a file, e.g. weather.m3u8

Open the playlist in a text editor (you can use the Notepad tab in RadioBOSS to edit the text), the file should look like this:

#EXTM3U

#EXTINF:5,INTRO

C:\Weather\WeatherToday.MP3

#EXTINF:2,TMP7

C:\Weather\Temp\TMP7.MP3

#EXTINF:2,HUM5

C:\WeatherAnn\Hum\HUM5.MP3

Change the numeric values to variables and save the file:

#EXTM3U

#EXTINF:5,INTRO

C:\Weather\WeatherToday.MP3

#EXTINF:2,TMP007

C:\Weather\Temp\TMP?temp.MP3

#EXTINF:2,HUM005

C:\WeatherAnn\Hum\HUM?humidity.MP3

Schedule this playlist to say the automatic weather announcement - on playback, RadioBOSS will substitute variables with the appropriate values, e.g. ?temp will become "20" and file name C:\Weather\Temp\TMP?temp.MP3 will be converted to C:\Weather\Temp\TMP20.MP3


Song request system

The Song Request System consists of:

·Remote Control API commands to add song requests and clear the requested songs list.

·Song Request window to manually insert requested songs into the playlist. To open the windows in the main menu click View->Song Requests (or press Ctrl+Y)

· Scheduler command to automatically play the requested songs


Converting to other formats

RadioBOSS has a built-in audio converter designed to help converting files to other audio formats and rip audio CD disks.

To convert a file to a new format, follow the steps below:

1. In the Playlist window right-click a file.

2. In the right-click menu select Tools -> Convert...

The Converter window appears. Now it is necessary to configure the output settings, including the output folder and codec. The output folder is a directory on the hard disk drive where converted tracks are saved and stored.

3. Select the output folder and codec.

The Codec menu lets the user select the codec with a desired bitrate.

Now it is necessary to save the selected settings.

4. Click OK

The encoding process will start. The user can see the progress bar that shows the encoding process.

Once encoding is over, the encoded file can be found in the selected output folder.

More information:

Enabling plugins


DSP manager

RadioBOSS lets you use VST and WinAmp DSP plugins (dsp_*.dll), except ones that change the speed of a stream. You can also use an integrated DSP (e.g. Equalizer or Compressor).

To open the DSP manager, select the FX tab on the control panel:

To add a DSP, click the “+” button. To remove a DSP, click the “–” button. To change DSP parameters, use the configuration button [image].

To move DSP up/down, use the up-arrow/down-arrow button. DSPs are applied from top to bottom.

If you click the “+” button, all available DSP effects will be shown:

Check the Winamp DSP plug-ins and/or VST plug-ins check boxes if you want to use these plugins. To open the folder containing Winamp DSP plugins for RadioBOSS, click “Plugin folders...”

Select a plugin and click OK. The plugin will be added to the DSP chain:

To turn DSP effects on/off, check/uncheck them in the list.

To install a WinAmp plugin, follow these steps:

1. Download and install the plugin.

2. Open the plugin installation folder (usually “C:\Program files\Winamp\Plugins”) and copy the plugin-related files from there to RadioBOSS’s Winamp plugins folder (“<RadioBOSS_Dir>\Plugins”).

3. After installing the plugins, check the Winamp plug-ins check box on the Plugins tab. All detected Winamp plugins should appear on the list.

Select the plugin that you want to start, and click the OK button.


Tag cache

Caching tag information allows to significantly increase in performance when processing tracks (reading tags and duration). The use of the cache will decrease the time needed to generate a playlist, add sweepers and handle any other tasks that involve tag reading and/or determining track duration. It also significantly increases performance when audio tracks are stored on a network drive (e.g. NAS) as it's not needed to read files over the network to get their tags and duration.

To enable tag cache: open General tab in settings. Set the "Additional track information storage location" to Database and check the "Cache file tags" checkbox. Click OK. RadioBOSS must be restarted to activate caching.

Caching has some limitations, most notable is that tracks have to stay at the same folders and should not be renamed. For more information please see pros and cons for "Storing information in SQLite database".


DTMF tone generator

DTMF tone generator in RadioBOSS allows to insert DTMF tones to the audio stream. Standard DTMF tones are supported: 0 - 9, A, B, C, D, # and *.

To insert DTMF into the playlist, in the top menu click Playlist -> Extra -> Add DTMF tone generator. Enter the DTMF sequence, e.g. "76AC" and click OK. The special track will be added to the playlist, when played, it will produce the DTMF sequence.

You can create scheduled event that will play the DTMF tone: create a scheduled event, and use the dtmf=sequence command, e.g. dtmf=76AC.


Title format variables

The variables that can be used in title format settings or when using notifications:

%artist - song artist

%title - song title

%casttitle - track title in the playlist (Notifications only)

%album - album name

%year - year

%comment - comment

%genre - song genre

%len - song duration (mm:ss)

%seconds - song duration in seconds

%filename - song file name without a path

%path - full file path

%playcount - play counter

%listeners - listener number (currently connected listeners)

%showname - name of the current program or show (set using the command set %showname=TEXT)

The title format string can include any number of the variables listed above along with any custom text or special characters.


Additional information storage

Additional information consists of various track properties that RadioBOSS uses in its operation. This information includes: playback count (playcount), last played date, additional track properties (gender, language, BPM, etc), user defined tag fields and some other information.

There are two ways to store the additional information:

·File tag (APEv2) - the default

·Database (SQLite)

Both methods have their pros and cons. No configuration is required for either storage methods. The storage method is configured in the settings. Switching between the storage methods is always possible: the Music Library allows to convert information from one storage method to the other, use the Tools->Convert additional info command.

Storing information in an APEv2 file tag

Pros

oThe information is persistent, as it's stored in the music file: when you copy or move a file, the information is preserved

oNo additional files are created

Cons

oThe music file is modified each time it's played (to update playcount and other data)

oNot all music files support APEv2, in this case NTFS alternate data streams are used to save the data

oRequires write access to music files which is not always possible or desired, especially when network storage is used

Storing information in SQLite database

Pros

oMusic tracks are not modified as information is stored externally

oCan be used with read-only music folders, e.g. network folders, read-only NAS access

oSlightly faster operation: loading information from the database is faster than reading the file tag

Cons

oThe information is linked to the music track via its file path, if the file is moved or renamed, the information will be lost


General

RadioBOSS allows users to customize many options as personal preferences.

To customize the general settings:

On the top menu bar, select Settings > Options...

The Settings dialog opens.

In the General window, users can customize these settings:

Start with Windows | Run RadioBOSS at Windows startup. The Startup options window allows you to set the program launch delay and modify a few other settings.
Restart the program if it crashes or hangs | Program will be auto-restarted in case of fatal error, crash or hang. The playback will be resumed automatically.
Ask on close | A confirmation box will appear when you close RadioBOSS.
Start playlist | Play first track in playlist when RadioBOSS is launched.
Resume playback | Resume playback when RadioBOSS is launched.
Place button in the taskbar | Put the RadioBOSS button in the taskbar. By default, the option is checked.
Sort Playlist by column click | Sort a playlist by clicking on the columns (#, Start time, Title, Intro, Outro, Time, etc.).
Sort scheduled events list by column click | Sort scheduled events list by clicking on the columns.
Additional information storage location | Set the location where additional track information (playcount, last played, additional tag fields, ...) is stored. Options: ·Track Tag (APEv2) - default ·Database (SQLite) For more information please refer to this page.
Cache file tags | Enable caching for tag and duration information. This allows to speed up music track processing when adding tracks to a playlist, generating a playlist, processing sweepers, building music libraries etc. The option is only available when "Additional track information storage" is set to Database option.
Remember playlist file names | If checked the playlist file names for all playlist tabs will be preserved between sessions.
Do not remove scheduled tracks from the playlist on exit | When you exit the program, the scheduled tracks will not be removed from the playlist.
Remove stop commands after execution | Remove "stop" commands from the playlist after they are executed.
Music library folder | Specify a folder where Music Library files will be stored. Libraries from this folder will appear in Libraries list in Search
Voice track folder | Folder where voice tracks are saved. Only files from this folder are treated as voice tracks.
Priority | Select a priority for RadioBOSS. High priority is recommended for smooth playback, this is the default setting.
"X" button action | Set an action to be taken after clicking the Close button in the upper-right corner.
Volume scale | Select a volume scale look.


File types

To customize file types:

On the top menu bar, select Settings > Options...

Select File Types category.

For more information, please refer to the Using different types of files topic.


Playback

Playback device configuration.

To configure the playback properties, follow these steps:

1. On the top menu bar select Settings > Options...

2. Click Playback.

In the Playback window, users can configure Playback Devices:

Main soundcard

Select the main output device that is to be used to play the playlist and scheduled tracks.

RadioBOSS takes advantage of ASIO sound cards and Windows 7 WASAPI interface.

Monitor soundcard

In addition to the Main soundcard, RadioBOSS can output the same signal to another sound card. Disabled by default.

Warning: do not select the same sound card for Main and Monitor as this will lead to sound problems such as echoing.

Jingles device

Jingles will play on a different device. This setting only affects the quick-access jinlgles, and not jingles in the playlist.

If the "Main soundcard" is checked, the jingles will play on the Main soundcard.

Cart wall device

Carts will play on a different device.

If "Main soundcard" is checked, the jingles will play on the Main soundcard.

Preview device

Select the "pre-listen" output device and speakers.

Users can pre-listen to a track in the player window. To do so, right-click a track from the playlist and from the context menu, select Pre-listen.

AUX 1

AUX 2

Sound devices which can be used in AUX Players

Produce silent output when nothing is playing

Produce silent stream when nothing is playing

When you click one of the "Change..." buttons, window will appear:

Here, you can set the following:

Driver

Driver you want to use.

Recommendations:

1) if you have an ASIO capable sound card, you may want to use ASIO output as this will reduce the latency to a minimum.

2) if you're using Windows Vista, 7 or newer - choose WASAPI. Latency is very low at this mode. This option is not available on Windows XP or prior.

3) otherwise, choose DirectSound

If your computer has no sound card or you want to use RadioBOSS for encoding/decoding purposes only (for example, broadcasting) - choose "No Device".

Device

Choose the sound card you want to use. It might be a sound card that presents in the system or a virtual card.

Settings

Set sound card settings:

Sample rate - sample rate in Hz, 48000 is the default.

Buffer size (ms) - buffer size, 50 ms recommended for WASAPI, 500 ms when you're using DirectSound. ASIO uses the sound card setting.

Output channels (ASIO only) - set channels on which you want to play the sound. To unselect a channel, press DEL key on the keyboard.

Speakers - select the sound card speakers. For this option to work, with the Windows Sound settings or sound card control panel you should set it to a multi-speaker configuration.

Exclusive - initialize the device in exclusive mode, else shared mode. Recommended: unchecked.

Event-driven mode - enable event-driven buffering.


Miscellaneous

Miscellaneous playback settings:

Remove gap between tracks | Remove the gap between tracks. This will automatically remove silence at the beginning and end of a track. Threshold setting controls trimming levels.
ReplayGain | Set how ReplayGain tag should be treated
Smooth seeking | Enable smooth seeking (with short fade)
Proxy for internet streams playback | If you want to use a proxy for network streaming playback, enter its address.
Low-pass filter/High-pass filter | Enable Low-pass and high-pass filters if you need to, and set the cutoff frequency.
Flash ending track | This option will help you keep track of the countdown displayed below the track currently on the air. When the specified number of seconds before the end of the track is reached, the countdown will start blinking red.
Exclude tracks shorter than | You can exclude tracks shorter than the set duration that will blink in red during the countdown.


Fading

Settings for crossfades, cart wall and voice tracking.

Playlist fade in/fade out duration while starting an Overlay event | Set the fade type for scheduler events with Overlay Playback option or Jingles. This option controls how smooth the playlist volume change would be
Do not fade out tracks when playlist is in manual mode | When "Stop after this track" button is pressed, the tracks will not be faded out
Do not crossfade short tracks | Tracks shorter than 45 seconds will not be crossfaded
Fade out on Stop | Fade out starts when you click the Stop button. If turned on, you can still stop the track immediately by double-clicking the Stop button.
Cart wall | Set the Cart Wall playback parameters
Voice Tracking | Controls voice track playback


Input

RadioBOSS allows users to configure the microphone and line-in settings. These settings are used when the line input is played with the Line.IN file, for MIC button and DTMF signal detection.

To configure the microphone and line-in settings, follow these steps:

1. On the menu bar, select Settings > Options...

The Settings dialog opens.

2. Click Input.

MIC button

In this section, you set how the "MIC" button operates. The button is located in the bottom right corner of the main window.

Click Change... and select the appropriate Driver (DirectSound/WASAPI/ASIO/Windows Mixer) and Device - the sound card you want to use.

Note, that it is not recommended to use the "Windows mixer control", as the sound from the microphone will not go on air if RadioBOSS is used to broadcast to the Internet. However, if an external application is used to broadcast, the Windows mixer can be used.

Music level - playlist level when the microphone is on. Fade in/out sets how fast the volume is changed. Level -50dB and below silence the music completely.

Mic Amplifier - increase the microphone volume. If your microphone is too quiet, also check the sound card settings (click Preview to test the setting).

Push-to-Talk - enable Push-to-Talk mode of operation for the Mic button.

Output to encoders only - when enabled, you won't hear yourself in the speakers/monitors. But listeners connecting to your station will hear you. If the echo is still present, disable microphone monitoring in the sound card properties. If this option is on, we recommend alsoturning on the option “Produce silent output when nothing is playing” in the playback settings.

Click DSP button to add DSP chain to microphone.

Voice activated - when this feature is enabled, the microphone will be turned on automatically when someone speaks into it.

The DSP button lets you assign different effects for the microphone.

You can also assign effects for the microphone by right-clicking the MIC button. Please note that you cannot use the same Winamp DSP plugins as for broadcasting.

Line Input 1 (Line.In file), Input2 (Line2.In)

Furthermore, users can select a driver and device for LINE.IN.

More information:

Enabling microphone

Working with linear input


View

RadioBOSS allows users to customize the look of a playlist window, change fonts and colors, change time and track title format (12/24 hour) and more

To customize view settings, follow these steps:

1. On the top menu bar, select Settings > Options...

2. Click View.

Title format | Track title format in the playlist. For example, if you want to include album information, you may use this string: %artist - %title - %album
"Filename" column | Select what "Filename" column in the playlist should display.
Playlist items spacing | Setup playlist items spacing.
Grid lines in a playlist | Show grid lines in the playlist.
Horizontal grid lines only | When grid in a playlist is enabled, show only horizontal grid lines.
Highlight item under mouse cursor | Select item under mouse cursor.
Search list items spacing | Setup search list items spacing.
Include stream name in title (when playing network stream) | When playing an Internet stream include its title. If unchecked, only the track title will be displayed.
Hide stream URL during playback | Hides stream URL when playing the Internet stream.
Force 24h clock | Turn this on if you want to have clochs in 24 hour format. Otherwise it uses operating system format.
Show weather and humidity in the main window | Show weather and humidity information in the main window. Click on the label to change temperature units (Celsius or Fahrenheit).
Change time zone | Changes time zone for RadioBOSS - it affects clock display and scheduled events.
"On air" visualization | Visualization style in the "Now playing" bar.
Turn off visualization/level display | Turn this on to reduce CPU usage.

You can change the program's appearance in the "Style" section.


Style

To customize Style settings:

On the top menu bar, select Settings > Options...

Select Style category.

This section allows you to change the appearance of the program's interface. You can choose a preconfigured style from the Style list.

You can also change style parameters: window and playlist font, color settings, button style, etc.


Silence detector

RadioBOSS allows you to define actions to be taken on silence (when nothing is playing in the playlist). These settings can be configured in the Silence detector window.

Silence detector checks the output sound level and if it's below the defined threshold, it will perform an action.

To configure the Silence Detector, follow these steps:

1. On the top menu bar, select Settings > Options...

2. Click Silence detector.

3. Toggle the slider to define the length of silence. For instance, if you set it to 10 seconds, then after 10 seconds of silence, the Silence Detector will perform an action.

4. The next step is to choose the action to take on silence. The program can play the next track, repeat the current playlist or load an extra playlist for playback.

5. To enable the silence detector, check the On box.

6. Click OK.

More information:

Playback


Broadcast

RadioBOSS enables broadcasting Internet radio for users who want to create their own internet radio station. It is possible to set up any number of output streams, each with its own unique configuration. Broadcasting settings can be configured in the Settings dialog.

Please refer to the Broadcasting Internet radio topic for more information on how to set up broadcasting.

The Advanced button allows you to set additional broadcasting settings.

Proxy server - specify the proxy server for broadcasting. Leave this empty unless you understand what this setting is for. An incorrectly configured proxy server will block any connection attempts and broadcasting will not work. Important! The proxy server needs to support the HTTP "CONNECT" method.

Custom encoders - allows you to add any custom encoders. RadioBOSS can use any command line encoder that supports input/output to console.

Encoder command line parameters can include the following variables (the values correspond to the encoder settings in RadioBOSS):

{SampleRate} - sample rate in Hz (e.g. 44100)

{KSampleRate} - sample rate in kHz (e.g. 44.1)

{Bitrate} - bitrate in kbps (e.g. 128)

{Channels} - number of channels (e.g. 2)

The encoder must be told (via the command-line) to expect input from STDIN, rather than a file, and to send output to STDOUT.

The MIME type depends on the encoder file format.

RadioBOSS sends 16-bit signed PCM data to encoder, Little-Endian.

Example: command line for lame.exe MP3 encoder

<path>\lame.exe -r -s {KSampleRate} -b {Bitrate} --resample {KSampleRate} - -

Example: command line for ffmpeg encoder to encode in mp3

<path>\ffmpeg.exe -loglevel -8 -f s16le -ac {Channels} -ar {SampleRate} -i - -f mp3 -c:a libmp3lame -b:a {Bitrate}k -

Example: command line to send uncompressed RAW PCM. pcmraw.exe encoder is located in the Plugins folder where you have installed RadioBOSS (default C:\Program Files (x86)\RadioBOSS)

C:\Program Files (x86)\RadioBOSS\Plugins\pcmraw.exe - -


Metadata

To customize the station info, follow these steps:

1. On the top menu bar, select Settings -> Options...

2. Click Metadata.

Station info | Fill in your station information
Broadcasting title format | Sets the broadcasting title format. The format can include multiple lines that will be rotated one by one. When multiple lines are used, the Update title period should be set to "Periodic". For possible values please see this page: Title format variables.
Update title | When RadioBOSS should update the broadcasting title on the server. The possible values are: ·Periodically - set the time interval in seconds to update the title periodically ·On track start - the title will be updated when track playback is started


Reports

RadioBOSS keeps a log of tracks that have been played. Moreover, the program can save the title of a track which is currently being played to a file and upload this file to a specified FTP server. The program can also use HTTP request to submit parameters of a current track to a specified URL address. The parameters include artist, title, duration, genre, album and other information. It can also send notifications of various events, such as errors, to an e-mail address.

To set up log file settings, follow these steps:

1. On the top menu bar, select Settings > Options...

2. Click Reports.

By default, the reporting feature is enabled. You can set the program to include a track number into a report and change the folder to save reports.

Optionally, you can set the program to save the title of a track which is being played (nowplaying.txt) to a file and upload it to an FTP server. Track name is saved to the file in the format specified in View – Title format.

The Save artwork turns on artwork export. The artwork will be saved as a PNG image and resized to be at most 400 pixels in size. If a track does not have artwork embedded, no cover art will be saved. If you want to specify cover art image for tracks with no artwork, place the nocover.png file to the settings folder (to open the folder, use the Settings->Open Settings Folder menu command).

Include Next Track info - if enabled, the nowplaying.txt file will contain the next track information as well.

3. To set up an FTP server connection parameters, click the FTP Settings... button.

The program also allows using HTTP request to send current track information to a specific URL address. It can also send notifications of various events such as: server connect and disconnect, silence detector actions, errors.

Please see this page: Using notifications.

4. Click OK.

More information:

Broadcasting internet radio


Using notifications

Notifications are used to send various information to a script or to an e-mail address. This can be useful when you want to display the current song name on your website.

To use HTTP request or E-mail notifications:

1. Turn on the feature: check the "Enable notifications" checkbox. If you plan on using E-mail notifications, click the E-mail settings... button and fill the SMTP e-mail server

2. Click the "+" button to add new notification.

3. The notification window will appear:

Enter a URL (http://) into the URL/e-mail field if you want to send a notification to a script.

HTTP notifications

For the "Playing track title" notifications, you should fill the URL with the required parameters, e.g.: http://example.com/updatesonginfo.php?artist=%artist&title=%title

The Encoding depends on what your script accepts. UTF8 works in most cases and it doesn't have a problem with international characters.

The values can be used in a request for a Playing Track Title notification: Title format variables

For other notification types, use these parameters:

%msgtype - message type: server for server connect/disconnect messages; silence for silence detector messages and error for error notifications

%msgtext - message text

E-mail notifications

To send notification to an e-mail address, enter the address in the URL/e-mail field. Multiple addresses can be specified, separated by a comma.

The Configuration Wizard button makes it easier to set up Tune In and Twitter integration.


Video

RadioBOSS can play not only audio tracks but also video. Video playback can be configured in the Settings dialog. Video playback is supported in RadioBOSS Advanced only.

To customize video playback settings:

On the top menu bar, select Settings -> Options...

Select Video category.

Display the video window when video playback begins - a screen with an image will appear when you play the video track. If you don't need it, disable this option.

Show video in fullscreen on monitor - the video will be displayed in fullscreen mode on the selected monitor. Press a key F4 to exit fullscreen mode.


Controls

This window allows to select play and mouse double-click function; hide unneeded buttons.

To customize Controls settings:

On the top menu bar, select Settings > Options...

Select Controls category


DTMF

To customize DTMF detector settings:

On the top menu bar, select Settings > Options...

Select DTMF category.

Check DTMF on | Select the source where DTMF signals will be checked - one of the linear inputs or network stream URL.
Minimum DTMF signal level | Specify the minimum threshold for DTMF signal.
DTMF checking frame | Specify the time frame during which RadioBOSS will look for DTMF tones. The "before" and "after" options are related to the event start time.
Delay event startup | Delay the event startup when DTMF is detected (seconds).

For more information on DTMF please refer to this topic: Starting events by DTMF signal


API

To customize Remote Control API settings:

On the top menu bar, select Settings > Options...

Select API category.

Enable Remote Control | Enable or disable remote control feature
Listen on port | Select the port where connections will be accepted
Password | Specify password - only requests with the correct password will be executed. Security notice: choose a complex and hard to guess password to prevent unauthorized access

See this topic for more information on how to use Remote Control API: Remote Control API


Scheduler

To customize Scheduler settings:

On the top menu bar, select Settings > Options...

Select Scheduler category.

Scheduler event flashing time - Set the time for a scheduled task to flash in the Coming Up Next window before its playback starts.

Maximum time to generate playlist by schedule - Timeout when using the "Generate" command in the scheduler event. If a playlist is not generated within the specified timeout, the playlist generator is aborted. Usually 10 seconds is enough.

Do not start any scheduled events when the playlist is currently paused - If the playlist is currently paused, the event will not be started.

Do not start scheduled events when MIC is on - If the MIC is on, the event will not be started.

Sweeper selection: allowed duration deviation (sec) - When selecting sweepers before scheduled events, allow the sweeper duration to be larger by up to set amount.


User interface

RadioBOSS' user interface overview:

1. Top menus

Top menus provide quick access to most of the commands and options of the program.

For more information on the top menus, please refer to Top menus.

2. Toolbar

Toolbar provides a one-click access to all commands and options of the program which are presented as icons.

For more information please refer to Toolbar.

3. Control panel

Control panel allows users to switch between views and modes that are presented as tabs.

For more information, please refer to the Control panel.

4. Playlist window (Zone 1)

Playlist window lists all the tracks in a current playlist along with track information.

For more information on playlists, please refer to the Playlist window.

5. Zones 2 and 3

Additional zones can be activated from the menu: View -> Work Zones

Zones 2 and 3 can host Cart Wall, AUX Player, Web browser, Search, Notepad and File Explorer.

An additional work zone is placed in a separate window and can be used on a different monitor, for example.

6. Player

The player allows users to play a track from a playlist and provides additional options to control playback.

For more information on the top menus, please refer to the Player.

The style of the playback buttons can be changed in Settings->View, Playback button style.

You can change your radio station's logo. Just right-click on the icon in the upper right-hand corner. A window will open in which you can select a new logo. There is a Default caption above the logo - this is the name of the current profile. You can change it by saving the profile under a different name: press Settings -> Save Profile As.

More information:

Top menus

Toolbar

Control panel

Playlist window

Player


Top menus

RadioBOSS offers top menus that provide access to all the commands and options.

Description of menus:

File | Create, open, save, print a playlist
Edit | Operations with playlist
View | Viewing and control panel options
Playlist | Add music and other items to a playlist, record voice tracks and more
Tools | Tools: Music Library, Report Generator, Ads Scheduler, Stream Archive
Jingles | Configure quick access jingles
Settings | Settings and operations with a profile
Help | Help, registration, program credits


File

The File menu allows users to create, open and save a playlist.

Description of menu entries:

New | Create a new playlist
Open... | Open a playlist
Save | Save a playlist
Save as... | Save a playlist as...
Export/Print... | Print a playlist
Exit | Exit the program


Edit

The Edit menu allows users to edit a playlist, such as cut, copy, paste and delete playlist items.

Description of menu entries:

Undo | Undo a recent operation
Cut | Cut a selected file to clipboard
Copy | Copy a selected file to clipboard
Paste | Paste a file from clipboard
Select all | Select all files
Crop selected | Crop selected files
Delete | Delete a selected file
Delete all | Delete all files


View

The View menu allows users to switch to different viewing modes, such as File explorer, Search, Information, FX, Broadcasting statistics, etc.

Description of menu entries:

File explorer | Open a file explorer window
Search | Open a search window
Schedule | Open a scheduler
FX | Open an FX control panel
Work Zones | Configure the number of work zones. Second and third work zone will appear at the right and can host File explorer, Search, Cart wall, AUX Player and Web browser
Track Information | Turn on/off Track Information panel under the playlist
Left panel | Show/hide left panel
MIC and VU meter in the centre | Show/hide MIC and VU meter in the centre
Status bar | Show/hide status bar
Tool bar | Show/hide toolbar
Top panel | Full/Minimal/Hide top panel
Full Screen | Switch to full-screen mode
Colors and Fonts... | Change playlist colors and fonts
Playlist columns... | Configure playlist columns
Playlist auto-scroll | Automatically scroll playlist to the playing track
Selection follows playback | When checked, currently playing track will be selected automatically
Track information follows playback | Update the Track Information tab with current track information
Accessibility (Screen Reader) | Turn on/off accessibility mode - improve UI accessibility for Screen Reader users
Language | Select a language for the user interface


Playlist

The Playlist menu allows users to perform operations on a playlist.

Description of menu entries:

Playlist Generator Pro... | Open Playlist Generator Pro
Add file... | Add a file to the playlist
Add folder... | Add all tracks from a specified folder to the playlist
Add URL... | Add an URL address to the playlist to play a network stream or podcast
Add command... | Add a command to the playlist
Add timed pause... | Add timed pause (a window will open where you can set the duration)
Add teaser... | Add Teaser
Add time announcement... | Add automatic time announcement
Add Line Input... | Add a line input to the playlist. This menu item will be hidden if no device is selected for Line.In in Settings
Insert playlist | Insert a playlist to the current playlist - the playlist will appear as one track and will be opened up on playback
Add tracks from playlist... | Add tracks from a playlist to the current playlist
Insert voice track... | Insert voice track into playlist, voice tracks are recorded using Voice Track recording tool
Record voice track... | Open Voice Track recording tool
Add Track List... | Add Track List
Track List Repeat Protection... | Configure no-repeat rules for Track List feature
Extra
Add Text-to-Speech... | Add text for automatic announcement You can specify the text the program should run or a link to to a file with text. The file may contain XML tags according to Speech API: https://msdn.microsoft.com/en-us/library/ms717077(v=vs.85).aspx
Add DTMF tone generator | Add DTMF tone generator.
Show Duplicates | Show duplicate tracks in the playlist
Shuffle | Shuffle tracks in the playlist
Copy to folder... | Copy selected files to a folder. If all tracks in a playlist are selected, copied tracks will have a number (track number) in the file name. This way, you can keep the same track order in the folder as in the playlist.
Delete nonexistent files | Remove entries of files that have been deleted from disk
Delete files from disk | Delete selected files from disk. Use with care
Playlist Generator... | (deprecated) Open old Playlist Generator
Notepad...(T) | Open Notepad to add note to the track. The note will pop up every time the track is played. Right-click the notepad window to change its mode of operation (per-track note or sticky note).
Find... | Search in playlist

More information:

Generating a playlist

Using microphone

Working with linear input

Using Track list

Voice Tracking


Tools

Menu entries:

Music Library | Open Music Library
Report Generator | Open Report Generator
Ads Scheduler | Open Ads Scheduler
Auto Intro | Open Auto Intro settings
Broadcasting statistics... | Open a window with information on broadcasting output channels (number of listeners, status)
Playback queue... | Open a window with Playback queue
Song requests... | Open a window with Song requests
Clear tag cache | Clear tag cache
Stream Archive | Configure Stream Archive feature to record broadcasts


Jingles

The Jingles menu lists current jingles (1-9) and allows users to define new ones.

Jinlges may be quickly played using the 1-9 keys on keyboard or using the 1-9 buttons on the toolbar.

Description of menu entries:

1-9 | List of assigned jingles
Assign... | Assign jingles


Settings

The Settings menu allows users to save and load settings profiles, customize hot keys and preferences.

Description of menu entries:

Save profile | Save a current settings profile
Save profile as... | Save a current settings profile as...
Load profile | Load a settings profile
Save profile on exit | Save a settings profile automatically when the program is closed. By default, the option is checked.
Periodically save profile | Periodically save profile, select how often.
Open Settings folder | Opens the folder where RadioBOSS stores its settings and other data.
Open Reports folder | Opens the folder with reports. Report is a .csv file that stores the log of program operation: what tracks were played, when, which scheduled tasks were started and other events.
Settings backup and restore | Create a backup copy of settings: profile, playlists, scheduled events and other settings in a single file
Hot keys | Customize hot keys
Crossfades | Configure crossfades
Options... | Open the Settings dialog

More information:

RadioBOSS. Quick start


Help

The Help menu allows users to open Help, visit RadioBOSS website, report a bug, register the program and view credits.

Description of menu entries:

Contents | Open Help system
Getting Started | Open RadioBOSS Quick start chapter
RadioBOSS Web Site | Open the RadioBOSS website
Community Forums | Opens RadioBOSS Community Forums
Contact support... | Open the Report a bug form, contact support
Check for Updates | Check if a new RadioBOSS version is available
Enter Registration Code... | Open Enter registration key dialog
About... | Open About RadioBOSS dialog

More information:

How to register


User

User Account Management. Please see this topic for more information.


Control panel

Description of icons:

folder | File explorer - Browse through the file system to add tracks to the playlist (Read more...)
xmag | Search - Find a track instantly by searching for a specific keyword in title, artist, album, etc (Read more...)
 | Scheduler - Events Scheduler (Read more...)
tune | FX - Configure the equalizer, tempo, ... (Read more...)


File explorer

File explorer allows users to browse through folders and add files to the playlist.

To add a track to the playlist, drag a file from File explorer and drop it to the Playlist window.

Right-click to show search bar. List can be manually updated by pressing F1 key.


Search

Search allows users to find a track in the Music library or folder (click the button with an arrow to select the type of the search source). Search in a folder covers the folder itself and its subfolders.

To search for a file, enter a keyword into the Find field.

As the first letters of a keyword are being entered, the program automatically queries its database and lists all the tracks that match the query. The results narrow down as the user keeps on entering letters. Users can search for a keyword in title, artist, album, year, genre, comment, etc.

To add files to playlist you may use drag-n-drop, right-click menu or hot keys:

Num+ or Insert add after playing file

Num- add to the end of playlist

Right-click the Stop button to show the contents of the whole library in the search result.

You can prelisten a trac. To do this, hold down Alt and click on the track (or press Alt+R).

More information:

Creating a music library


Scheduler

Scheduler allows users to schedule a track, playlist, or command for automatic playback at a predefined time.

Description of scheduler buttons:

On | Enable/disable the scheduler. Button will be grayed out when the scheduler is suspended by the "scheduler off" command.
Manual | The event won't start automatically. Instead, the program will only notify when event is supposed to be started. To start the event use "Run Now" button.
Run Now | Run selected scheduler event manually
Add... | Add a new scheduled event
Edit... | Edit a scheduled event
Delete | Delete a scheduled task
List ▼ | Submenu with list edit commands
Save | Save a list of scheduled tracks to a file (.sdl)
Load | Load a list of scheduled tracks from a file (.sdl)
Print | Print scheduled events
Import | Adds events from .sdl files to a list
Clear | Clear event list

Description of column headers:

Run in | Time left before a scheduled start of a task
Date | Date for a scheduled event to run (if used)
Time | Time of scheduled start
Imm | Status of the Launch immediately option ("+" - enabled, "-" - disabled)
A | Status of the Play above the air option ("+" - enabled, "-" - track will be included into the main playlist)
Mute level | Playlist volume level when "Play above the air" task is being played
Filename | Filename and path to a file in the file/command name
Name | Event title

More information:

Scheduling playback


FX

FX allows users to configure various effects.

On this tab you'll see the current output level and control it using Gain slider. You can also add, remove turn on and off DSP's.

To add DSP: click "+" button; click "-" to remove and tool button to configure.

You can use built-in DSP's such as Equalizer and Compressor; you can also use VST and Winamp DSP plugins.

Information on status of AutoAmp (Automatic Gain Control) and Gap killer. Click buttons to access settings of those features.

To change Gap Killer or AutoAmp settings, click the corresponding button.

More information:

Using the microphone

DSP Plugins


Toolbar

RadioBOSS offers a toolbar that provides quick access to the main commands and options.

Description of icons:

 | Create a new playlist
 | Open a playlist
 | Save a playlist
 | Save a playlist as...
 | Cut to clipboard
 | Copy to clipboard
 | Paste from clipboard
 | Undo a recent operation
 | Hide or show left panel
 | Work zones: 1
 | Work zones: 2
 | Work zones: 3
additional | Work zones: Additional
add | Add track
 | Insert a playlist - playlist will be added as one item in the program's playlist and will open up on playback
 | Insert tracks from playlist
 | Add tracks from folder
 | Record the broadcast
statistics | Broadcasting statistics
broadcasting | Turn broadcasting on/off (hot key can also be used: Ctrl+E)
 | Open the Settings dialog
mute | Mute Monitor


Playlist window

Playlist window lists all of the tracks in a current playlist along with the track information.

Playlist columns are configurable from the menu: View -> Playlist columns.

You can perform different actions with tracks by clicking the corresponding icon in the playlist:

pl1 | Prelisten a track
pl2 | Remove a track
pl3 | Play a track
pl4 | Add a Stop command after a track

The Listeners columns shows the current number of listeners and changes from the previous track.

By default, there are two playlist tabs. You can create as many playlists as you need, just click the "+" button on the right.

Right-click on a playlist tab to rename, delete it, or set additional options:

Queue mode - when enabled, the tracks will be deleted from the playlist after playback.

If you would like to make a playlist non-playable, right-click its tab and check the Non-playable playlist option.

Set Active playlist - marks playlist as active playlist. Scheduled events are inserted into the active playlist.

Tracks in the playlist are marked with a blue note icon. Tracks which have already been played have a grayed out icon. Scheduled tracks in addition have the small "clock" icon.

Various file types (commercials, station IDs, jingles, ...) can be marked with color.

You can drag files inside a playlist using a mouse or using keyboard: Ctrl+Down arrow, Ctrl+Up arrow. You can drag files between different playlists (eg. to an AUX playlist).

dragging files between playlists

You can add tracks to the playback queue. Just right-click on a track and select Add to playback queue. The track's number in the queue will be displayed next to the track.

Below the playlist, there is an area for information about tracks. You can editing tags in that area.

To prelisten a track: hold down Alt and click on the track.

You can set a rating and a file type for each track. To do it, right-click the playlist and select the “Tools” item.

You can also set a file type via the music library: select one or more tracks, right-click a track in the music database, and select “Track Properties...”

A cover art for the selected track is shown in the information area. For tracks without pictures, you can put an image file named nocover.png into the settings folder: this picture will be shown in the Track information field for tracks without cover art. To open the settings folder, select Settings –> Open Settings folder in the menu.

More information:

Cart wall

File types


AUX Players

AUX players are mini playlists with simple playback and edit features. Those players can be used for various purposes: save and edit playlists, play tracks, jingles or announcements.

AUX players can only be added in Zone 2 or Zone 3. In order to activate those zones use the menu command: View->Work Zones->2 (or 3).

It's possible to drag-n-drop tracks between regular and AUX playlists: just start dragging a track by its icon (please see the Playlist page for details).

By default, AUX players play tracks on the Main sound device. It's also possible to use other devices. Click the Settings button to configure AUX player. If an AUX1 or AUX2 device is selected for the playback, make sure those devices are correctly configured in the Playback settings.


Playback control

Player allows users to play a track from the playlist.

The button style can be changed in the View section of the settings page.

Seeking: the track playback position can be changed by right-clicking on the "On air" window:

Description of player controls:

Jump to the previous track

Play the selected track

Jump to the next track

Pause playback

Stop playback

Repeat the current track. Right-click this button for additional options.

Stop playback after the current track. Right-click this button and select a mode

Shuffle playback order. Attention! If your playlist contains tracks from the scheduler, random playback won't work! (tracks will be played one by one).

Repeat the playlist

Set volume up or down

You can change the style of those buttons in Settings -> View.

More information:

Generating a playlist


Hot Keys

To open settings hot keys click Settings -> Hot keys.

If you want to change any of the hot keys, click on the image of the key and select the characters you would like to use.

Additional hot keys:

Ctrl+E start or stop broadcasting.

Ctrl+Shift+Number (0..9) - set track rating (1-9 - set rating 1 to 9 respectively, 0 - set rating 10). If Ctrl+Shift+0 doesn't work, then the key should be unassigned in Windows control panel:

1. In the control panel, click Language. This brings up the "Language" panel.

2. Choose "Advanced Settings" in the left area. This brings up the "Advanced Settings" panel.

3. Choose "Change language bar hot keys" in the left area. This brings up the "Text Services & Input Language" panel.

4. You will see Shift-Ctrl-0 as the binding for "Between input languages". Select that item and click the "Change Key Sequence" button. This brings up the "Change Key Sequence" panel.

5. Set both radio buttons to "Not Assigned" and click OK.


License agreement

End-User Licence Agreement for RadioBoss

This licence states the terms and conditions upon which THE SOFTWARE is licensed to you. By using or attempting to use THE SOFTWARE‘s installation disc, you are agreeing to become bound by the terms of this Licence. If you do not agree to these terms, return the entire contents of the software package intact and unused to your supplier.

1. Definitions

‘THE DEVELOPER’ means djSoftware. ‘THE SOFTWARE’ means RadioBoss. ‘THE DOCUMENTATION’ means the RadioBoss manual and test pages.

2. Licence

THE DEVELOPER grants you a personal non-transferable non-exclusive licence, as follows:

(a) You may install and use a single copy of THE SOFTWARE on one stand-alone computer system, and will ensure that THE SOFTWARE is not installed or used on more than one stand-alone computer system at a time.

(b) You will not copy or attempt to copy THE SOFTWARE‘s installation disc in whole or in part. You will be deemed personally responsible for any illegal copies of THE SOFTWARE, or files created by it, which bear your Software‘s serial number or are otherwise traceable to your copy of THE SOFTWARE.

(c) You may install a single copy of THE SOFTWARE on another stand-alone computer system if and only if you first delete THE SOFTWARE from the computer on which it was previously installed.

(d) You will not decompile or otherwise attempt to reveal the source code or operation of THE SOFTWARE.

(e) You will not modify, adapt, rent, lease, loan, resell, distribute or create derivative works based on THE SOFTWARE or any part thereof unless expressly permitted above or in THE DOCUMENTATION.

(f) You will not copy THE DOCUMENTATION in whole or in part or store it in a retrieval system in any form, photocopying, recording, electronic or otherwise.

3. Term

This Licence is effective until you terminate it:

(a) by destroying your copy of THE SOFTWARE and Documentation, or

(b) by failing to comply with the conditions of this Licence.

4. Limited Warranty and Disclaimer

(a) THE SOFTWARE is supplied ‘as is‘ without warranty as to its specification except that it is of merchandisable quality.

(b) THE DEVELOPER will not be liable for any damage, loss of profits, goodwill or for any indirect or consequential loss arising from any use or misuse of THE SOFTWARE, even if THE DEVELOPER has been advised of the possibility of such loss.

These conditions supersede any prior agreement between you and THE DEVELOPER relating to THE SOFTWARE.

More information:

How to register


Contacts

 Top Previous

If you have questions about RadioBOSS, suggestions on how to improve the software, or you found a bug, please visit our support page: http://www.djsoft.net/enu/support.htm or forums: http://www.djsoft.net/smf/

The latest version of the program can be downloaded from http://www.djsoft.net